Welcome

CRT Icon Welcome

This help manual documents CRT, version 3.0. Please email any questions you have to the following address:
CRT-questions@vandyke.com

We will try to respond to such inquiries within 1-2 business days.

As a feature of CRT 3.0, the documentation has been completely rewritten. We welcome your comments and suggestions. Please e-mail them to:
support@vandyke.com

Thank you!

The CRT 3.0 Product Documentation Team

Copyright and trademark notices


HTML Help Tips

How to Use this Help

This topic provides some tips on customizing the font size and printing help topics using HTML Help.

Customizing the Font Size

The font size used when viewing this documentation is directly related to the font size and settings used by Internet Explorer. This help documentation is designed to display content at a preset font size. However, you can override the font size by modifying the settings in Internet Explorer.

To customize the font size in Internet Explorer 5.0:

4 Open the Tools menu and select Internet Options.

4 Click on the Accessibility button.

4 Click on the Ignore font sizes on Web pages option.

4 Click OK twice to return to the main Internet Explorer window.

4 Open the View menu and select Text Size and choose from among the available font sizes.

For Internet Explorer 4.0, changing the font size is the same as outlined above for Internet Explorer 5.0 with the following exceptions:

• Internet Options is accessed from the View menu rather than from the Tools menu.

• The Text Size menu item of the View menu is called Fonts in Internet Explorer 4.0.

Printing Help Topics

With HTML Help, an entire top-level book can be printed at once, allowing you to print the entire documentation with a few print commands. To print all of the topics contained in a book, right-click on the book you wish to print and select Print from the pop-up menu. Select the Print the selected heading and all subtopics option (see dialog below) and click on the OK button.

The HTML Help "Print Topics" Dialog

You also have the option of printing a single topic by selecting the appropriate option in the Print Topics dialog (above).


What is CRT?

CRT Icon What is CRT?

CRT is a 32-bit terminal emulator designed for Internet and intranet use with support for telnet, rlogin, and serial protocols. CRT also has support for modem dialing with the Windows TAPI standard. CRT 3.0 requires Windows NT 4.0 or Windows 95/98.

CRT is highly customizable and easy to use. Remote sites can be easily accessed by entering a hostname. In addition, CRT presents the concept of a connection session. A session is a set of options and customized settings associated with or assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts.

General Features

• Named sessions allow the user to have different preferences for different hosts

• Simple mechanism for automating logins

• Telnet protocol support, including to a specific port

• Rlogin protocol support

• Serial (a.k.a. COM port) support

• Modem “sharing” with TAPI support

• Printing support: transparent printing; print selection and screen

• Easy installation

Advanced/Convenience Features

• Full Screen mode

• "Open URL" feature in pop-up menu (right mouse button)

• Keyboard accelerator (Ctrl+Tab) to easily cycle between CRT windows

• Support for use from the command line or web browsers

• Each session can be logged to a file

• Anti-idle support

• Searchable scrollback buffer

• User-defined number of savelines (scrollback)

• Emacs mode maps Alt+<key> to Esc+<key>

• 8-bit emacs mode

• Easy access to CRT features through graphical toolbar

• User-defined word delimiter characters for word selection with double click

• Optional chat window provides an editable type-ahead buffer

Emulation

• Quality VT100, VT102, VT220, SCOANSI and ANSI emulation

• VT line drawing

• User-defined foreground and background colors for all eight combinations of text attributes (blink, underline, bold)

• Configurable number of rows and columns

• 80/132 column switching

• Ability to select separate fonts for both 80 and 132 column modes

• Double width and double height fonts

• Optional ANSI color and customizable ANSI colors.

• xterm extensions for mouse support and changing the title bar

• 5 cursor styles and support for customizing cursor color

• National Replacement Characters sets (British, Dutch, Finnish, French, French Canadian, German, Italian, Norwegian/Danish, Spanish, Swedish, Swiss) --Requires remote host application support

Keyboard mapping

• VT100, VT220 and SCOANSI keyboard emulation

• Support for user-defined custom keymaps

• Custom Keymap editor allows easy mapping of key combinations to:

Execute menu functions

Run scripts

Send string sequences

Call additional CRT functions

Firewall support

• SOCKS version 4 and version 5 (telnet and SSH only)

• Generic telnet proxy firewall support

Scripting

• ActiveX scripting support allows use of multiple scripting languages including VBScript, JScript, PerlScript

• A simple expect/send dialog can be used to easily automate login commands

• Support for file-based scripts:

Scripts can be run automatically at login

Run a script at any time from the menu

Map a key combination to run a script using the Keymap Editor

Run a script from the command line

File transfers

• ZModem file transfer (upload and download)

• Resume interrupted ZModem downloads

• Transfer list dialog allows selection of multiple files for ZModem upload

• ASCII file transfer for upload and download

Clipboard support

• Copy and paste, including an "Auto Copy" option

• Column select feature (Alt+Left click)


What is New in CRT 3.0

CRT Icon What is New in CRT 3.0?

CRT 3.0 introduces new and streamlined Connect, Session and Global Options dialogs. Other major new features include ActiveX scripting support and SCOANSI emulation. CRT 3.0 reinforces its position as a customizable terminal emulator by improving upon session configuration and ease of use. The many options for customizing a CRT session have been reorganized for quicker, easier access. CRT 3.0 adds more session configuration options. ActiveX scripting support dramatically expands the scope of scripting. Use VBScript, JScript, PerlScript or other Windows script engine to automate remote tasks with CRT.

CRT’s configuration interfaces have been completely redesigned. The Connect dialog now stores sessions in a drag-and-drop folder structure you define.

Scripting

• ActiveX scripting support allows use of multiple scripting languages including VBScript, JScript, PerlScript

• Use scripting to control CRT window behavior, connections, input, logging and printing

Emulation

• SCOANSI terminal and keyboard emulation

• Session keyboard mapping allows mapping any key combination -not just function keys- without the need for an external keymap file

Printing

• Printing options can be set globally or on a per session basis

• Session settings available for selecting printer, margins and font

Global Options

• The global options have been reorganized for easier access

• Customize the Recently Used sessions list, maximum number of columns, number of serial ports, line send delay and character paste delay

• Set printer, print margins and printer font

• “Auto Session” option starts CRT and begins connecting with a user defined session – no command line switches required

• The command “Make CRT the Default Telnet Application” is now accessible at any time from the Global Options dialog

• Configure CRT to open URLs with your favorite web browser

Session Options

• The session options have been reorganized for easier access

Connect Dialog

• Toolbar and pop-up menus provide quick access to commonly used features

• Nested folders allow efficient, custom organization of numerous sessions

• “Create Shortcut” command instantly places session shortcuts on the Windows Desktop

Other New Features

• Full Screen Mode – use Alt+Enter to make CRT completely fill the Windows Desktop, while still giving access to application menu commands

• All settings are now stored in a common location. Previous to 3.0, global settings were stored in the registry and session settings were stored in CRT.CFG

• Scrollback buffer size limit has been increased from 9999 to 32000

• Scrolling performance as new data is received has been significantly improved


System Requirements

CRT Icon System Requirements

Minimum System Requirements

• 486-based PC

• 16 MB RAM

• Windows® 98/95, Windows NT® 4.0

• winsock.dll (compliant with version 1.1 of the WinSock standard)

• 32-bit TCP/IP stack


License Agreement

CRT Icon License Agreement

End-User License Agreement for CRT 3.0 ("Software")

Copyright (c) 1995-1999 Van Dyke Technologies, Inc.

All Rights Reserved.

AGREEMENT. After reading this agreement carefully, if you ("Customer") do not agree to all of the terms of this agreement, you may not use this Software. Unless you have a different license agreement signed by Van Dyke Technologies, Inc. that covers this copy of the Software, your use of this Software indicates your acceptance of this license agreement and warranty. All updates to the Software shall be considered part of the Software and subject to the terms of this Agreement. Changes to this Agreement may accompany updates to the Software, in which case by installing such update Customer accepts the terms of the Agreement as changed. The Agreement is not otherwise subject to addition, amendment, modification, or exception unless in writing signed by an officer of both Customer and Van Dyke Technologies, Inc.

This Software is owned by Van Dyke Technologies, Inc. and is protected by national copyright laws and international copyright treaties.

1. GRANT OF LICENSE AND PROHIBITIONS. This Software is licensed to you. You are not obtaining title to the software or any copyrights. You may not sublicense, rent, lease, convey, modify, translate, convert to another programming language, decompile, or disassemble the Software for any purpose. The license may be transferred to another if you keep no copies of the Software. Permission must be obtained before mirroring or redistributing the evaluation copies of the Software.

2. USE AND EVALUATION PERIOD. You may use one copy of this Software on one client computer. A copy of this Software is considered in use when loaded into temporary memory (i.e., RAM) and/or installed on a permanent storage device (i.e., hard disk, CD-ROM, etc. You may also use a copy of the Software on a home or portable computer, provided only one copy of the Software is in use at a time. You may use an evaluation copy of the Software for only thirty (30) days in order to determine whether to purchase the Software.

3. MULTI-COMPUTER LICENSES. If this is a multi-computer or network license, Customer may make, install, and use additional copies of the Software up to the number of copies authorized in the registration documentation. If this is a non-educational unlimited site license, Customer may install and use the Software on any or all of the Customer's computers within a single site (multiple locations within a municipality are considered a single site), and Customer's employees may also install and use a copy of the Software on a home or portable computer. If this is an educational site license, Customer may install and use the Software on any or all of the Customer's computers but use is restricted to non-commercial use by students, faculty and staff using campus facilities and to off-campus non-commercial use by students, faculty and staff primarily for school business.

4. LIMITED WARRANTY. THE SOFTWARE IS PROVIDED AS IS AND VAN DYKE TECHNOLOGIES DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. NEITHER VAN DYKE TECHNOLOGIES NOR ANYONE INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE EVEN IF VAN DYKE TECHNOLOGIES HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. IN NO EVENT SHALL VAN DYKE TECHNOLOGIES' LIABILITY FOR ANY DAMAGES EXCEED THE PRICE PAID FOR THE LICENSE TO USE THE SOFTWARE, REGARDLESS OF THE FORM OF CLAIM. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

5. TERMINATION. This Agreement terminates on the date of the first occurrence of either of the following events: (1) The expiration of one (1) month from written notice of termination from Customer to Van Dyke Technologies, Inc.; or (2) One party breaches any terms of this Agreement or any terms of any other agreement between Customer and Van Dyke Technologies, Inc., that are either uncorrectable or that the breaching party fails to correct within one (1) month after notification by the other party.

6. GOVERNING LAW. The agreement shall be governed by the laws of the State of New Mexico. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a state or federal court of competent jurisdiction located in Bernalillo County, New Mexico. The parties

hereby consent to the personal jurisdiction of such courts.

7. U.S. GOVERNMENT RESTRICTED RIGHTS. This Software is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software--Restricted Rights clause at 48 CFR 52.227-19, as applicable. Manufacturer is:

Van Dyke Technologies, Inc.

4848 Tramway Ridge Dr. NE, Suite 201

Albuquerque, NM 87111 USA

e-mail: sales@vandyke.com


Copyright and Trademark Notices

CRT 3.0 Documentation version 3.0, 10/29/1999.

CRT 3.0 Documentation Copyright © 1999 Van Dyke Technologies, Inc. All Rights Reserved.


Installation

CRT Icon Installation

The installation program for CRT is contained in the self-extracting executable available for download at http://www.vandyke.com . To begin the installation process, simply run the self-extracting executable file.

The CRT installation process is comprised of several screens which allow you to modify the installation behavior of certain components of CRT. To proceed from one screen to the next, simply click on the Next button. If you need to change any of your modifications before finishing the installation, you can click on the Back button.

The first step in the installation process is to read carefully through the CRT License Agreement. If you agree to all the terms in the license agreement, then click on the I Agree button to continue with the installation.

After accepting the CRT License Agreement, you will be presented with the installation’s Welcome! screen. Upon proceeding to the next screen, you will be asked to specify the directory in which you would like to install CRT.

Note: If you already have CRT version 2.4 or earlier installed, the first time you run CRT 3.0 your customized settings may need to be migrated from the earlier version of CRT you currently have installed. You will be informed during the installation process if your customized settings need to be migrated. You will also have the option of skipping the migration process.

The migrate.exe program can be used to manually migrate your settings. Usage:

migrate.exe CRT [session_config_file_path]

The session_config_file_path is optional.

After selecting the desired directory for installation, proceed to the next screen.

You will then be asked if you would like to add CRT icons and links to the the Start menu and Desktop. If you choose "yes", you will then be presented with the opportunity to modify CRT shortcut and icon locations (Start Menu, Desktop, Program Group).

After making the decision to either install all, some, or none of the CRT icons, you will be prompted to install additional support for serial and/or TAPI connections. If you are sure that you will not be needing such support, this gives you the option to save disk space by avoiding installation of unneeded components. However, if you currently need support for such connections or anticipate the need for such connections in the future, you will need to be sure to install these components.


Connection Overview

CRT Icon Connection Overview

This section provides crucial information to those who are interested in getting connected to a remote machine as quickly as possible, putting aside any environmental customizations such as font color, etc.

When you start CRT you will see the Quick Connect dialog appear along with the main CRT window as depicted in figure 2.1 below.

The Main CRT Window and the Quick Connect Dialog

Figure 2.1 The CRT main window and Quick Connect dialog as shown at startup.

There are two interfaces you can use to connect to a remote machine: The Quick Connect dialog, and the Connect dialog.

If this is your first time using CRT you may prefer to use the Quick Connect dialog.

If you are a seasoned user of CRT and have already defined one or more sessions, you may prefer to use the Connect dialog.

Regardless of the interface you choose, you will be able to establish a connection to a remote machine using the telnetand rlogin protocols. If you need to establish a connection to a remote machine (such as a BBS) by dialing it directly with a modem, see the topic on Connecting with the TAPI dialer.

See Also:

Sessions Overview

Creating a New Session with Quick Connect

Creating a New Session with Connect


Connecting with the Quick Connect Dialog

CRT Icon Connecting with the Quick Connect Dialog

By default, the Quick Connect dialog (see Figure 2.1) is shown when the CRT program is started. If the Quick Connect dialog is not currently displayed, you can display it by clicking on the Quick Connect button Quick Connect button, which is located on the main CRT toolbar as well as the toolbar at the top of the Connect dialog. You can also display the Quick Connect dialog by opening the File menu and selecting the Quick Connect menu item. In the Quick Connect dialog, simply specify the protocol you will be using, the hostname or IP address, and any other information necessary to make the connection.

When finished entering the necessary settings for the connection, click on the Connect button and you will be connected to the specified host. If the Save session option is selected (this option is on by default), a session will be created and stored for future use under the name of the host or IP address you specified.

Note: You can customize CRT to display the Quick Connect dialog on startup rather than the Connect dialog by selecting the Show quick connect on start up option located in the Quick Connect dialog.

See also:

Connecting with the Connect Dialog

Sessions Overview

Creating a New Session with Quick Connect

Creating a New Session with Connect


Connecting with the Connect Dialog

CRT Icon Connecting with the Connect Dialog

The Connect dialog can be accessed with the connect button The Connect Button on the toolbar or by selecting the Connect menu item from the File menu. In order to connect to a remote machine by using the Connect dialog, you must have already created one or more connection sessions. You can quickly create a new session by clicking on the New Session button New Session button, or by right clicking on any folder in the Connect dialog and selecting New Session from the pop-up menu. If you would like to learn more about creating new sessions, see Chapter 4: Creating and Editing Sessions .

To connect using a session you have already created, simply select the session and click on the Connect button. You can also connect to a session by double clicking on the session name or by right clicking on the session name and selecting Connect from the pop-up menu.

To display the Connect dialog automatically at startup, simply select the Show dialog on startup option found in the lower left corner of the Connect dialog.

The Connect Dialog

Figure 2.2 The Connect Dialog

See also:

Connecting with the Quick Connect Dialog

Sessions Overview

Creating a New Session with Quick Connect

Creating a New Session with Connect


Connecting with the TAPI Dialer

CRT Icon Connecting with the TAPI Dialer

To connect to a remote machine (such as a BBS) by dialing it directly, you will need to create a new session to be used for the connection, or use the Quick Connect dialog and:

4 Specify TAPI as the connection protocol.

4 In the Dial using entry box, specify the modem you will use for dialing the remote machine.

4 If necessary, specify the country and/or area code for the number of the machine you will be dialing.

4 In the Phone number entry box, enter the phone number of the machine you will be dialing. If the remote machine or BBS you are attempting to dial provides you with alternate numbers, you can specify any alternate numbers by clicking on the Alternates... button in the Session Options dialog.

4 Click on the Connect button and CRT will begin dialing the remote computer.


Starting a Session Automatically

CRT Icon Starting a Session Automatically

CRT can be configured to automatically connect to a specific session on startup. If you find that you are often using one particular session each time you run CRT you can select the Auto Session Startup option.

To enable Auto Session Startup:

4 Select the Options / Default Session category in the Global Options dialog.

4 In the Auto Session Setup section, select the Use Auto Session option and specify a session name.

Creating a Desktop Shortcut to a CRT Session

With CRT you can easily create a shortcut on the desktop that will start CRT and automatically begin connecting with a certain session.

To create a desktop shortcut to a CRT session:

4 In the Connect dialog, right-click on the specific session that you want CRT to begin connecting with once the shortcut is launched from the desktop.

4 Select the Create Desktop Shortcut menu item from the pop-up menu.

See also:

Command line options


Reconnecting Automatically

CRT Icon Reconnecting Automatically

CRT can be set up to automatically reconnect to a remote machine when a connection is terminated.

To enable this feature for all sessions:

4 Open the Options category in the Global Options dialog.

4 Select the Auto reconnect option located in the Other section of the Global Options panel.

To enable or disable this feature on a per-session basis:

4 Open the Options / Advanced category in the Session Options dialog.

4 Select the Auto reconnect option in the Advanced Session Options panel.


License Registration

CRT Icon License Registration

The following information is for individual licenses.

For information on quantity pricing and site licenses, please send e-mail to:

sales@vandyke.com

or see:

http://www.vandyke.com

Upon receipt of payment, we will send you one license key for each copy of CRT paid for. The license key(s) will be sent to you by e-mail or postal mail. All software and software updates are available from www.vandyke.com. Because the software is obtained by Internet download, no disk media will be mailed.

For current pricing information, please visit our web site:

http://www.vandyke.com/order/index.html

Ordering Methods

1. Order online with a credit card:

To order online using a secure web server, go to:

http://www.vandyke.com/order/index.html

2. Order by mail with a check:

To order by mail, send the CRT order form and a check to:

Van Dyke Technologies, Inc.

4848 Tramway Ridge Dr. NE, Suite 201

Albuquerque, NM 87111

USA

Payment must be in U.S. dollars drawn on a U.S. bank.

3. Order by phone with a credit card:

You can order by phone with Visa, MasterCard, American Express, or Discover from Public software Library (PsL):

Phone:   800-242-4775

713-524-6394

The PsL product number for CRT is 14206. PsL order lines are staffed 24 hours a day. The above phone numbers are for credit card orders only. The authors of CRT cannot be reached at these numbers. Online and phone orders will be processed within one to two business days after they are received by Van Dyke Technologies.

4. Order by fax with a credit card:

Fax the CRT order form to Van Dyke Technologies at 505-332-5701. Visa, MasterCard, American Express, and Discover are accepted. Please include the credit card number, cardholder name, expiration date and billing address.

Any questions about the status of the shipment of the order, refunds, registration options, product details, technical support, volume discounts, dealer pricing, site licenses, or non-credit card orders, must be directed to Van Dyke Technologies, Inc., 4848 Tramway Ridge Dr. NE Suite 201, Albuquerque, NM 87111, USA or sales@vandyke.com .

If you are a registered user of CRT, please visit our web site for current upgrade pricing, or call 505-332-5700.


Reporting Problems

CRT Icon Reporting Problems

Please send e-mail regarding bug reports to:

CRT-bugs@vandyke.com

You can also submit any problems you are having with CRT at our web site:

http://www.vandyke.com/support/

Please describe the problem in as much detail as possible. In your e-mail message, please include the following information:

• The version of CRT you are using (as shown in the About dialog box)

• The TCP/IP package and version

• The operating system and version

We try to respond to all bug reports within 1-2 business days. In addition, we will try resolve the problem as quickly as possible.


Requesting a Feature

CRT Icon Requesting a Feature

We are very interested in hearing from our users.

If you have a feature that you would like to see added to CRT, send e-mail to:

CRT-features@vandyke.com

For the latest information on CRT and Van Dyke Technologies, Inc., check out our home page:

http://www.vandyke.com

To receive announcements of new versions of CRT, send e-mail to:

CRT-announce-request@vandyke.com

If you have a general question about CRT, send e-mail to:

CRT-questions@vandyke.com


The Toolbar

CRT Icon The Toolbar

The CRT toolbar is user-manageable in that the user can toggle its display on or off, and in addition, toggle between the flat and raised button styles. You can toggle between flat and raised button styles by selecting/deselecting the Use flat toolbar style option found in the Appearance category of the Global Options dialog.

Table 3.1 depicts the Toolbar buttons and their associated tasks.

Table 3.1 The CRT Toolbar Buttons

Button | Description
The New Window Button | New Window: Opens a new CRT window
The Quick Connect Button | Quick Connect: Brings up the Quick Connect dialog
The Connect Button | Connect: Opens the Connect Dialog
The Disconnect Button | Disconnect: Closes the current connection
The Copy Button | Copy: Copies the selected text to the Clipboard
The Paste Button | Paste: Pastes the contents of the Clipboard
The Find Button | Find: Searches the contents of the scrollback buffer and terminal screen for a given string
The Print Screen Button | Print Screen: Prints the text currently displayed in the terminal window
The Print Selection Button | Print Selection: Prints the selected text
The Auto Print Button | Auto Print: Toggles Auto Print on or off
The Properties Button | Properties: Brings up the Session Options dialog
The Keymap Editor Button | Keymap Editor: Invokes the Keymap Editor
The Help Button | Help: Invokes the online help manual


The System Menu

CRT Icon The System Menu

Figure 3.1 depicts the System Menu. The System Menu is accessed by clicking on the small CRT icon located in the upper left-most section of the CRT Window. The System Menu can also be accessed by right-clicking in the CRT title bar. The System Menu allows you to toggle the Menu Bar on and off, save the current session settings, and toggle the Always on Top feature of the CRT Window for the currently open session. In addition, the System Menu allows you to accomplish basic tasks such as minimizing, maximizing, moving, and resizing the CRT window on systems that do not have a mouse attached. To access the System Menu without using the mouse, use the ALT+SPACE keyboard combination. To select menu item found in the System Menu, press the key associated with the entry as designated with an underline.

The CRT System Menu

Figure 3.1 The CRT System Menu


Arranging Entries in the Connect Dialog

CRT Icon Arranging Entries in the Connect Dialog

By default, CRT maintains the list of entries in the Connect dialog in alphabetical order as depicted in the sample sessions and folders listed in the Connect dialog shown in figure 3.2 below. The list of entries in the Connect dialog are automatically arranged in alphabetical order by CRT as long as the Auto Arrange option is enabled.

Disabling the Auto Arrange option allows the user to manually arrange the entries in the Connect dialog. With the Auto Arrange option disabled, the user can easily move individual sessions or even entire folders using drag and drop. In figure 3.3 below, the user is in the process of manually arranging the school session to reside in front of the gaboon session in the rlogin sessions folder using drag and drop.

The Connect Dialog arranged in alphabetical order with Auto Arrange

Figure 3.2 The Connect Dialog arranged In alphabetical order

The Connect Dialog: Manual arrangement using drag and drop

Figure 3.3 The Connect Dialog: Manual arrangement using drag and drop

Enabling/Disabling Auto Arrange

There are two methods to enable/disable the Auto Arrange option in CRT:

1) Use the Connect dialog's pop-up menu:

4 Right-click on any entry listed in the Connect dialog.

4 If Auto Arrange is currently enabled, the Auto Arrange menu item in the pop-up menu will have a checkmark next to it. To enable/disable this option, select Auto Arrange from the pop-up menu. If Auto Arrange was previously enabled, it will now be disabled and the entry in the pop-up menu will not have a checkmark next to it. If Auto Arrange was previously disabled, it will now be enabled and the entry in the pop-up menu will have a checkmark next to it.

2) Use the Global Options dialog:

4 Open the Global Options dialog.

4 Select the Appearance category in the Global Options dialog.

4 In the Global Appearances panel, select/deselect the Sort Connect Dialog entries alphabetically option.


Changing the Recently Used Session List

CRT Icon Changing the Recently Used Session List

The Recently Used Session List displays a list of sessions that have recently been used to connect to a remote machine. This list is displayed as part of the File menu (see figure 3.4).

File Menu and Recently Used Session List

Figure 3.4 The Recently Used Session List

To change the number of sessions listed in the Recently Used Session List as shown in the File menu:

4 Select the Options / Advanced category in the Global Options dialog.

4 Change the value in the Recently Used Session List entry box.

4 Click on the OK button at the bottom of the Global Options dialog.

NOTE: Entering a value of 0 (zero) in the Recently Used Session List entry box will disable the recently used session list in the File menu and clear the list of all entries.


Clearing the Terminal Screen

CRT Icon Clearing the Terminal Screen

To clear the terminal screen, open the Edit menu and select the Clear Screen menu item.

See also:

Closing/Clearing the Window on Disconnect


Copying and Pasting

CRT Icon Copying and Pasting

CRT provides you with a variety of ways to copy and paste text to and from the terminal screen. There are several ways CRT aids you in the process of copying and pasting. This section covers the basics on accomplishing the following tasks:

Selecting Text in the Terminal Window

Customizing Word Delimiter Characters

Copying Text to the Clipboard

Pasting Text from the Clipboard to the Terminal Screen

Copy on Select

Middle Button Paste

Copying and Pasting with CTRL+C and CTRL+V (CUA Copy and Paste)

Selecting Text in the Terminal Window

There are a variety ways to select text in the CRT terminal screen.

Selecting Rows of Text

This method involves moving the mouse pointer across the words or rows of text you want selected while holding down the left mouse button. This is the default method for selecting text (see figure 3.5).

Selecting Columns (blocks) of Text

This method is useful for selecting columns of text rather than rows of text. To select a block of text made of up one or more columns of text on the terminal screen, hold down the Alt key while moving the mouse pointer down the column(s) you want selected while holding down the left mouse button (See figure 3.6).

Selecting an Entire "Word" of Text

Another method of selecting text makes selecting an entire word easy. You can select an entire word just by positioning the mouse cursor over the word and then double-clicking on the word with the left mouse button. In addition to being able to select an entire word with a mere double-click, CRT provides a way for you to customize the word delimiter characters on a per-session basis.

Selecting Rows of Text in the Terminal Screen

Figure 3.5 Selecting rows of text in the terminal screen

Selecting columns of text in the terminal screen while holding down the Alt key

Figure 3.6 Selecting columns of text in the terminal screen while holding down the Alt key

Customizing Word Delimiter Characters

By default, CRT uses all non-alphanumeric characters as word delimiters when selecting an entire "word" with a double-click action as described in the Selecting Text in the Terminal Window section of this help topic.

You can modify the word delimiter characters using the following steps:

4 Select the Options / Advanced category in the Session Options dialog.

4 In the Advanced Session Options panel, select the Set word delimiter characters option and enter your personal word delimiter characters. Do not separate the entries with spaces or any other character. For example, as shown in figure 3.7 below, the user has chosen the exclamation !, $, %, and & characters as word delimiters.

Advanced Session Options panel: Setting word delimiter characters

Figure 3.7 Customizing Word Delimiter Characters

Copying Text to the Clipboard:

To copy text from the terminal screen to the Clipboard:

4 Select the text you want to copy by dragging the mouse cursor over the desired area of text.

4 Select Copy from the Edit menu on the CRT menu bar OR click on the copy button Copy button, located on the CRT toolbar.

The selected text is now copied to the Clipboard and ready for pasting.

Pasting Text from the Clipboard to the Terminal Screen:

To paste text from the Clipboard to the terminal screen:

4 Select Paste from the Edit menu on the CRT menu bar OR click on the paste button Paste button, located on the CRT toolbar.

The contents of the Clipboard will be inserted at the point of the text cursor in the terminal screen.

CRT also provides a feature which allows you to copy and paste from the terminal screen back to the terminal screen with just one step. Simply select the text you would like to paste, and then select Copy & Paste from the Edit menu on the CRT menu bar.

Copy on Select

The copy on select feature allows you to speed up the process of copying text from the terminal screen to the Clipboard. If this feature is enabled, text is copied to the Clipboard as soon as it is selected.

To enable/disable the copy on select feature:

4 Select the Options section in the Global Options dialog.

4 In the Mouse section of the Global Options dialog, select/deselect the Copy on select option.

Middle Button Paste

The middle button paste feature allows you to speed up the process of pasting content from the Clipboard to the terminal screen. If this feature is enabled, text is pasted from the Clipboard to the terminal screen as soon as the middle mouse button is pressed. If your mouse does not have a middle mouse button, a middle button click can be simulated by pressing both the left and right mouse buttons simultaneously.

To enable/disable the middle button paste feature:

4 Select the Options section of the Global Options dialog.

4 In the Mouse section of the Global Options dialog, select/deselect the Paste on middle button option.

Copying and Pasting with Ctrl+C and Ctrl+V (CUA Copy and Paste)

To enable the Ctrl+C, Ctrl+V, Ctrl+A, and Ctrl+F accelerators for copy, paste, select all, and find, respectively:

4 Select the Options / Advanced category in the Session Options dialog.

4 Select the CUA copy and paste option.

4 A message box will appear with the following warning:

Warning: Turning on CUA copy and paste will disable your ability to send Ctrl+A, Ctrl+C, Ctrl+F and Ctrl+V to the remote host. Most UNIX users should leave this option off.

4 Click on the OK button on the Warning dialog.

4 Click on the OK button at the bottom of the Session Options dialog.


Creating a New Window

CRT Icon Creating a New Window

To open a new CRT window:

4 Open the File menu and select the New Window menu item OR click on the New Window button New Window button, located on the CRT toolbar.

See also:

Switching Between Multiple Windows


Dialog Display Options

CRT Icon Dialog Display Options

The display of the connection closed dialog, the confirm disconnect dialog, and the Connect dialog can be suppressed.

To specify whether of not any of these dialogs are displayed:

4 Select the Options category in the Global Options dialog.

4 In the Dialogs section of the Global Options panel, enable/disable the options you wish to modify.

See also:

Specifying the Initial Window Position


Hiding/Showing Various Window Features

CRT Icon Hiding/Showing Various Window Features

Toggling the visibility of the menu bar, the toolbar, the status bar, and the chat window can be done on both a global and a session level.

To toggle the visibility of these window components on a global level:

4 Select the Appearance category in the Global Options dialog.

4 Clear the options of the features you wish to hide. Select the options of the features you wish to show.

Even though these settings are made on a global level, they can be customized for a specific session as well. When customizing these settings, you can use some or none of the global settings. To customize these settings for a specific session:

4 In the Session Options dialog, select the Appearance / Window category.

4 Clear the options of the features you wish to hide. Select the options of the features you wish to show.

NOTE: The checkboxes for the features in the Session Window section can be set to one of three states.

Checkbox Contents | Description
No checkmark | Do not show the feature for this session.
Black checkmark | Show the feature regardless of global settings.
Gray checkmark | Accept the global setting for this feature.

See also:

Changing Scrollbar Options


Switching Between Multiple Windows

CRT Icon Switching Between Multiple Windows

You can easily switch between multiple CRT windows by using the Window menu on the CRT menu bar.

To switch between open CRT windows in the sequential order in which the windows were opened, open the Window menu and select the Next menu item.

To switch from one CRT window to any other open CRT window, open the Window menu and select the menu item that matches the session name of the CRT window you would like to switch to.

You can also use the Ctrl+TAB keyboard shortcut to switch between multiple CRT windows.

See also:

Creating a New Window


Using Full Screen Mode

CRT Icon Using Full Screen Mode

CRT provides a full screen mode feature which allows you to make CRT completely fill the Windows Desktop, while still giving access to application menu commands.

Enabling Full Screen Mode

There are currently two methods you can use to enable full screen mode:

1) Use the View menu

4 Open the View menu and select the Full Screen menu item.

2) Use the Alt-Enter hot-key sequence

4 While holding down the Alt key, press the Enter key.

Disabling Full Screen Mode

There are currently two methods you can use to disable full screen mode and have the CRT window return to its original size:

1) Use the View menu. Although the menu bar is not visible in full screen mode, it is still accessible.

4 Open the View menu by using the Alt-v hot-key sequence

4 Once the View menu is opened, you can use your cursor keys to select the Full Screen menu item, or you can press the Full Screen menu item accelerator key: F.

2) Use the Alt-Enter hot-key sequence

4 While holding down the Alt key, press the Enter key.


Using the Chat Window

CRT Icon Using the Chat Window

The CRT chat window provides an interface to the remote command line that is unaffected by concurrent output to the terminal screen. The chat window is a great interface to use when communicating in the environment of a chat room. In addition, the chat window is useful for issuing subsequent commands. While waiting for the output of a previous command to complete, you can prepare the next command by typing it into the chat window.

The contents of the chat window are sent to the command line as soon as the Enter key is pressed in the chat window.

You can prepare multiple lines in the chat window with Ctrl+Enter.

To toggle the display of the chat window, open the View menu and select the Chat Window menu item.


Working with the Scrollback Buffer

CRT Icon Working with the Scrollback Buffer

Clearing the Scrollback Buffer

To clear the scrollback buffer:

4 Open the Edit menu.

4 Select the Clear Scrollback menu item.

Changing the Size of the Scrollback Buffer

To change the number of lines stored in the scrollback buffer;

4 Select the Emulation category in the Session Options dialog.

4 In the Size section of the Terminal Emulation panel, enter the number of lines for the scrollback buffer in the in the Scrollback buffer entry box. Your entry must be an integer value between 0 and 32000.


Changing Scrollbar Options

CRT Icon Changing Scrollbar Options

To toggle the display of the vertical and horizontal scrollbars in the CRT window:

4 Select the Appearance / Window category in the Session Options dialog.

To show/hide the horizontal scrollbar, select/deselect the Show horizontal scrollbar option.

To show/hide the vertical scrollbar, select/deselect the Show vertical scrollbar option.

The horizontal and vertical scrollbars can also be shown/hidden with the menu bar:

4 Open the View menu

To toggle the horizontal scrollbar, select the Horizontal Scrollbar menu item.

To toggle the vertical scrollbar, select the Vertical Scrollbar menu item.


Closing/Clearing the Window on Disconnect

CRT Icon Closing/Clearing the Window on Disconnect

To instruct a session to automatically close or clear the CRT window after disconnecting from the remote machine:

4 In the Session Options dialog, choose the Options category.

To close the CRT window on disconnect, select the Close on disconnect option.

To clear the Terminal window on disconnect and leave the CRT window open on disconnect, select the Clear on disconnect option.

4 Click on the OK button at the bottom of the Session Options dialog.

See also:

Clearing the Terminal Screen


Putting the Window "Always on Top"

CRT Icon Putting the Window "Always on Top"

The "Always on Top" feature in CRT allows you to configure the CRT window to stay in front or "on top" of all other windows. This feature is session-specific.

To make the CRT window Always on Top for a particular session:

4 Select the Appearance / Window category in the Session Options dialog.

4 Select the Session window always on top option.

Note: This option can also be set via the System Menu for the current open session:

4 Open the System menu by right-clicking on the title bar of the CRT window.

4 Select the Always on Top menu item.

See also:

Specifying the Initial Window Position


Specifying the Initial Window Position

CRT Icon Specifying the Initial Window Position

To force a CRT session to place the CRT window in a preferred location on the screen:

4 In the Session Options dialog, open the Appearance category and select the Window section.

4 Make sure that the Initial position option is NOT selected.

4 Click on the OK button at the bottom of the Session Options dialog.

4 Move the session window to the preferred default position.

4 Open the Options menu and select Session Options...

4 In the Session Options dialog, open the Appearance category and select the Window section.

4 Select the Initial position option located in the Session Window panel.

4 Click on the OK button at the bottom of the Session Options dialog.

Note: You can also specify an exact x,y pixel location by manually entering the x and y values directly in the entry boxes provided in the Session Options dialog.

After completing these steps, the CRT window will now be placed in the location specified each time you connect with the session.

See also:

Dialog Display Options

Hiding/Showing Various Window Components

Putting the Window 'Always on Top'

Resizing the Window


Using an Audio Bell or a Visual Bell

CRT Icon Using an Audio Bell or a Visual Bell

CRT allows you to configure how the bell character is handled when received. If the audio bell is enabled, a beep will be heard when CRT receives a bell character. If the visual bell is enabled, the terminal screen will flash when CRT receives a bell character. If both features are enabled, both a beep will be heard and the screen will flash when CRT receives a bell character. If neither of these features are enabled, you will receive no apparent notification when CRT receives a bell character.

By default, the audio bell is turned on for CRT

To toggle the audio or visual bell:

4 In the Session Options dialog, choose the Options category.

4 Select the Audio bell and/or Visual bell options in the Session Options panel of the dialog.

4 Click on the OK button at the bottom of the Session Options dialog.


Using the Anti-Idle Feature

CRT Icon Using the Anti-Idle Feature

CRT is equipped with an anti-idle feature which allows you to send strings containing commands or other information to the remote machine on a regular basis. The aim of this feature is to prevent the connection from being closed due to a lack of network traffic between CRT and the remote machine.

To enable the anti-idle feature:

4 In the Session Options dialog, select the Options category.

4 In the Anti-idle section of the dialog, enter a value (in number of seconds) in the Time out: text entry box.

4 In the Send: text entry box, enter the string you wish to send to the remote host. For a listing of special octal and escape codes which can be included as part of the send string, see the table of ASCII Control Codes and the table of Send String and Function Key Commands.

Note: Entering a value of 0 (zero) in the Time out: text entry box will disable the anti-idle feature.


Overview of ZModem

CRT Icon Overview of ZModem

ZModem is a full-duplex file transfer protocol that supports fast data transfer rates and effective error detection. ZModem is very user friendly, allowing either the sending or receiving party to initiate a file transfer. ZModem also supports multiple file ("batch") transfers, and allows the use of wildcards when specifying filenames.

ZModem also supports resuming most any prior ZModem file transfer attempts.

The ZModem protocol features can also be disabled to prevent any undesired automatic uploads to the local machine from an unknown source from taking place.

Topics for this section include:

Changing the Default File Transfer Directories

Downloading a File

Uploading a File

Disabling ZModem


Changing the Default File Transfer Directories

CRT Icon Changing the Default File Transfer Directories

The default download directory is where files are stored when downloaded from the remote host.

The default upload directory is the directory that is shown when the ZModem upload dialog appears.

To change the default download and upload directories:

4 In the Session Options dialog, select the File Transfer category.

4 In the Directories section, enter the full path of the new default directory or use the browse button Browse button, to open the Browse for Folder dialog and select the new directory.

See Also:

Downloading a File

Uploading a File

Disabling ZModem


Downloading a File

CRT Icon Downloading a File

To download a file from the remote machine (may be UNIX specific):

4 On the remote machine, use the sz command:

% sz filename

A ZModem Transfer dialog will appear, displaying the status of the download.

The file will be saved to the default download directory.

See also:

Changing the Default File Transfer Directories

Uploading a File

Disabling ZModem


Uploading a File

CRT Icon Uploading a File

To upload a file to the remote machine (may be UNIX specific):

4 Log in to the remote machine to which you will be uploading.

4 On the remote machine, use the rz command:

% rz

This will cause CRT to bring up the ZModem Open dialog (figure 3.8) which will aid you in selecting the file you wish to transfer from the local machine to the remote machine. Note that ZModem must be installed on the remote machine in order for the 'rz' command to work.

Note: Another way to open this dialog is to open the Transfer menu and select ZModem Upload List.

4 In the Open dialog, select the file(s) you wish to upload to the remote machine.

4 When you have finished adding all the files you wish to upload, click on the Close button.

Figure 3.8 The ZModem Open Dialog

See also:

Changing the Default File Transfer Directories

Downloading a File

Disabling ZModem


Disabling ZModem

CRT Icon Disabling ZModem

To disable the ZModem protocol features in CRT

4 In the Session Options dialog, open the File Transfer / ZModem category.

4 Select the Disable ZModem option.

When the ZModem protocol is disabled, CRT will ignore the character sequence that starts a ZModem transfer.

See also:

Changing the Default File Transfer Directories

Downloading a File

Uploading a File


Logging a Session

CRT Icon Logging a Session

The current session can be logged to a file. By default, logging is off.

To enable logging for the current session:

4 Open the File menu and select the Log session menu item.

4 If this is your first time logging a session, the Save As dialog appears. Enter the desired log filename and click on the Save button.

See Also:

Changing Log Options

Changing the Default Log Filename


Changing Log Options

CRT Icon Changing Log Options

CRT allows you to customize the logging process by enabling or disabling the following options: prompt for filename, start log upon connect, raw log, and truncate or append.

To customize these options, select the Log File category in the Session Options dialog and enable/disable the options explained below.

Prompt for filename

If Prompt for filename is selected, the user is prompted for the session log filename when the log is started.

Start log upon connect

If Start Log Upon Connect is selected, then logging will be started whenever a connection is made.

By default, Start Log Upon Connect is not selected.

Raw log

If Raw log is selected, every character received by CRT including terminal escape sequences will be written to the session log file.

By default, Raw log is off.

Truncate vs. Append

You can set up logging to continuously append information to the end of the existing log file or you can overwrite the existing log file with the new session’s logging information.

If the Truncate file option is selected and the session log file already exists, the current log file will be overwritten by the new session log file.

If the Append to file option is selected and the session log file already exists, the new session log will be appended to the existing log file.

If the log file does not already exist, a new file is created.

See also:

Logging a Session

Changing the Default Log Filename


Changing the Default Log Filename

CRT Icon Changing the Default Log Filename

To change the default log filename:

4 Select the Log File category in the Session Options dialog.

4 Enter the desired log filename in the Log file entry box on the right hand side of the dialog or use the browse button Browse button, to open the Save As dialog to select the path or filename.

See also:

Logging a Session

Changing Log Options


Overview of Command Line Options

CRT Icon Overview of Command Line Options

Command Line Options

There are two categories of CRT command line options: Standard Options , and Protocol-specific Options .

Standard Options may be used in any combination with other Standard Options.

Protocol-specific Options are mutually exclusive. A protocol-specific option cannot be used in combination with any other protocol-specific option.

Syntax:

CRT.exe [standard options] [protocol-specific options]

See also:

Table of Standard Command Line Options

Table of Protocol-specific Command Line Options


Table of Standard Command Line Options

CRT Icon Table of Standard Command Line Options

Standard Option | Arguments | Description
/NOMENU |  | Hide the menu bar.
/NOTOOLBAR |  | Hide the toolbar.
/NOSAVE |  | No changes to settings will be saved.
/POS | x y | Specify the initial position of the CRT window, where x and y specify the upper left corner of the CRT window in pixel coordinates.
/MAX_COLS | n | Specify the maximum number of columns. The maximum value for n is 512 and the minimum value is 132.
/FIREWALL |  | Connects session using current global firewall settings. Replaces /PROXY and /SOCKS options.
/TITLEBAR | "Title to display" | Sets the text in the title bar to the string given as argument.
/SCRIPT | filename | Runs script contained in filename.

See also:

Table of Protocol-Specific Command Line Options


Table of Protocol-Specific Command Line Options

CRT Icon Table of Protocol-Specific Command Line Options

Any of the standard options may be used in combination with a protocol-specific option.

Note: The /S option is considered a protocol-specific option because the protocol to be used is defined by the session parameters.

Protocol Option And Mandatory Arguments | Related Options and Arguments | Description
/S session_name |  | Starts CRT and opens a connection with session name
/TELNET hostname [port] |  | Starts CRT and opens the default session with the telnet protocol and begins connecting to [port] on hostname.
/RLOGIN hostname |  | Starts CRT and opens the default session with the rlogin protocol and begins connecting to hostname.
 | [/L username] | Specifies the username to use with the rlogin protocol.

/SERIAL port | Note: /SERIAL and its related options are only available if serial capability is selected during installation. | Starts CRT and opens the default session with port.
 | [/BAUD baudrate] | Set the baud rate. Valid values for baudrate are 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 57600, 115200. The default value is 38400.
 | [/CTS | /NOCTS] | Enable or Disable RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, RTS/CTS is enabled.
 | [/DATA databits] | Set the data bits. Valid values for n are 5, 6, 7 or 8. The default value is 8.
 | [/DSR | /NODSR] | Enable or Disable DTR/DSR (data-terminal-ready/data-set-ready). By default, DTR/DSR are not enabled.
 | [/PARITY parity] | Set the parity. Valid values for parity are NONE, ODD, EVEN, MARK, SPACE. The default is NONE.
 | [/STOP stopbits] | Sets the stop bits. Valid values for stopbits are 0, 1 or 2 ( 0 indicates 1 stop bit, 1 indicates 1.5 stop bits, 2 indicates 2 stop bits). The default value is 0 (1 stop bit).
 | [/XON | /NOXON] | Enable or Disable XON/XOFF software flow control. By default, software flow control is disabled.

See also:

Table of Standard Command Line Options


Designating the Default Telnet Application

CRT Icon Designating the Default Telnet Application

By default, your web browser will use the Windows default telnet application when it opens a URL of the form:

telnet://...

To make CRT the default telnet application rather than using the Windows telnet application:

4 In the Global Options dialog, select the Web Browser category.

4 Click on the Make CRT your default telnet application button.


Designating the Default Web Browser

CRT Icon Designating the Default Web Browser

You can open a URL with CRT by right-clicking on the URL text and selecting Open URL from the pop-up menu. By default, CRT opens a URL using the default web browser for Windows as defined in the Windows registry. To specify a web browser other than the default browser for Windows:

4 In the Global Options dialog, select the Web Browser category.

4 Deselect the Use "Registry" setting for web browser option.

4 Enter the full path to the web browser you want to use with CRT or use the browse button Browse button, to display the Open dialog and select the browser application.

DDE NOTE: By default, if the designated web browser is already running, the URL will not be opened in a new browser window. Instead, the running browser application will be brought into focus, and the URL will be opened in that window. If you would prefer to have a new browser window created each time you open a URL with CRT, deselect the Use Dynamic Data Exchange (DDE) option.


Sessions Overview

CRT Icon Sessions Overview

CRT supports connections with a variety of protocols: telnet, rlogin, and serial. In addition, CRT supports modem dialing with the TAPI connection protocol. This section of the CRT help manual contains information on how to set up a session to connect with a remote machine using these protocols.

CRT allows you to personalize your settings and options and automatically use them every time you establish a connection to a remote computer This is accomplished by creating a session that will store your personalized settings under a session name.

A session is a set of options and customized settings that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts.

When you start CRT for the first time, the Connect dialog will appear along with the main CRT window.

CRT provides two different methods for creating a session:

• The Quick Connect dialog

• The Connect dialog

You may find it useful to read an Overview of Connection Protocols before creating or editing a session. If you have already created a session, you may want to learn about Changing Session Options.


Creating a New Session with Quick Connect

CRT Icon Creating a New Session with Quick Connect

The fastest way to create a new session and connect to the machine associated with it is to click on the Quick Connect button Quick Connect button, which is located on the toolbar at the top of the Connect dialog shown in figure 2.2. In the Quick Connect dialog (figure 4.1), simply specify the protocol you will be using and all other information necessary to make the connection.

The Quick Connect dialog

Figure 4.1 The Quick Connect dialog

When finished, click on the Connect button. If the Save session option is selected, a session will be created and stored for future use under the name of the hostname or IP address you specified, and you will be connected to the specified host.

Once you have created a session, you may wish to customize its behavior. For more information, see the topics in section 3.3: about Changing Session Behavior.


Creating a New Session with Connect

CRT Icon Creating a New Session with Connect

In contrast to the Quick Connect dialog (see Creating a New Session with Quick Connect ), the New Session button on the toolbar of the Connect dialog (figure 2.2) allows you to name the session something other than the hostname or IP address of the computer to which you are connecting. In addition, when you use this button the Session Options dialog appears (figure 4.2), allowing you to customize all of the settings associated with the new session.

Session Options - New Session dialog

Figure 4.2 Session Options: Creating a New Session

The Session Options - New dialog is accessed by clicking on the New Session button New Session button, which is located on the toolbar at the top of the Connect dialog shown in Figure 2.2. When you have finished setting up the new session, you will see the new session listed in the Connect dialog.

Once you have created a session, you may wish to customize its behavior. For more information, see the topics in section 3.3 about Customizing Session Behavior.


Overview of Connection Protocols

CRT Icon Overview of Connection Protocols

This section provides an explanation of the settings related to each of the protocols supported in CRT:

Telnet Connection Settings

Rlogin Connection Settings

Serial Connection Settings

TAPI Dialer Settings

Note that the Serial or TAPI protocols may not be available if the option to install these protocols was rejected by the user during the installation process.


Telnet Connection Settings

CRT Icon Telnet Connection Settings

This section details settings that affect telnet connections.

Hostname or IP Address

The Hostname or IP address of the remote host.

Port

The port number of a service on a remote machine. For telnet, the default port is 23.

Connect via firewall

If your connection involves a firewall, this causes the session to connect using the current firewall settings.

See Also:

Secure Connections

Advanced Telnet Connection Settings

The advanced telnet connection settings are accessed by clicking on the Advanced button in the Session Options dialog when the telnet protocol is specified.

Will LFLOW

If Will LFLOW is selected, CRT will enable local flow control when connecting to telnet sites that support LFLOW. By default, Will LFLOW is selected.

Force character at a time mode

Selecting this option forces CRT to be in "character at a time" telnet mode. This option may be required in rare cases where telnet negotiation between the client and server does not occur correctly.

Warning: For most users, this option should be NOT be selected.

Send SGA (port 23 only)

Selecting this option initiates telnet negotiation by sending the telnet SGA command. Most telnet servers expect this from the telnet client.

Warning: For most users, this option SHOULD be selected.

Send SGA

If Send SGA is selected, CRT will send the DO SGA command immediately after connecting.


Rlogin Connection Settings

CRT Icon Rlogin Connection Settings

Rlogin connection settings include hostname or IP address and username.

Hostname or IP Address

The hostname or IP address of the remote host.

Username

The username used to log on to the remote machine.

See Also:

Secure Connections


Serial Connection Settings

CRT Icon Serial Connection Settings

The serial protocol is used to connect to another computer with your computer's COM port or a modem attached to your computer's COM port.

Note: The serial protocol is only available if selected when CRT is installed.

Port

The serial port (COM1, COM2, etc.) used by the session.

Baud rate

Select the Baud rate for the device. The default value is 38400.

Data bits

The number of communication Data bits. The default value is 8.

Parity

Choose the Parity setting supported by the connected device. The default setting is None.

Stop bits

The number of stop bits sent after each character. The default value is 1.

Flow Control Settings

DTR/DSR

Select this option to use the DTR/DSR (data-terminal-ready/data-set-ready) signals with the connected device. By default, this is NOT selected.

RTS/CTS

Use RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, this option IS selected.

XON/XOFF

Use XON/XOFF software flow control. By default, this option is NOT selected.


TAPI Dialer Settings

CRT Icon TAPI Dialer Settings

Note: The TAPI protocol is only available if selected when CRT is installed.

You can use the TAPI protocol to "share" your computer’s modem with other applications. For example, if you have a fax application that is TAPI compliant, you will be able to have both CRT and your fax software open at the same time. Although both programs cannot use the modem at exactly the same time, TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis.

When using TAPI, the following information must be entered:

Modem

Select the modem you would like to use from the "Dial using" list of modems. If you have a modem installed, you can also configure it while in the Session Options dialog, by selecting the modem and clicking on the Configure button.

Country Code

Enter the country code associated with the number you are dialing.

Area Code

Enter the area code for the number you are dialing.

Phone Number

Enter the phone number that you are dialing. CRT also allows you to specify any alternate phone numbers you wish to dial using the same session.


Changing Session Options

CRT Icon Changing Session Options

Changing session options is done with the Session Options dialog. The Session Options dialog is accessed in a variety of ways.

If you are not currently connected with a session to a remote machine:

• Open the Connect dialog by clicking on the connect button Connect button, or by opening the File menu and selecting the Connect menu item.

• Select the session listed in the Connect dialog that you would like to edit.

• Open the Session Options dialog by either clicking on the properties button Properties button, or by right-clicking on the target session and selecting Properties from the pop-up menu. You can also open the Session Options dialog by selecting the target session and using the Alt+Enter hot-key sequence.

If you are connected with a session to a remote machine and would like to edit the current open session:

• Open the Session Options dialog by either clicking on the properties button Properties button, or by opening the Options menu and selecting the Session Options... menu item.

The Session Options dialog (figure 4.3 below) is divided into two major sections: an options category tree view, and an options category panel. The options category tree view allows you to select the category of options you wish to change. The options category panel displays all the options associated with the category selected in the options category tree view. For example, in figure 4.4-1 below, the Connection category is selected, and all of the options associated with the Connection category are displayed in the options category panel.

The Session Options Dialog

Figure 4.3 The Session Options Dialog


Changing the Default Session Options

CRT Icon Changing the Default Session Options

CRT maintains an internal session that is used whenever a new session is being created or when a session has not been specified for a connection. This internal session is known as the "Default" session. For example, when using Quick Connect or when starting CRT from the command line with no session argument, CRT uses the settings specified in the Default session to make the connection requested.

To change the Default session settings:

4 Select the Options / Default Session category in the Global Options dialog.

4 In the Edit Default Settings section of the Default Session Setup panel, click on the Edit Default Settings button.

When the Session Options - Default dialog appears you can customize the settings in any category. When you have finished making your changes, click on the OK button and your changes will be saved to the Default session.


Security Considerations

CRT Icon Security Considerations

Session security depends on several factors, including whether the connection you are using to the host is a trusted connection. If it is not, consider whether private or confidential information will be sent and received. A telnet session will transmit user ID, password and other sensitive or private information in an easily readable format.

For maximum security, DO NOT put passwords in the CRT Script dialog or script file. Script dialog information is stored in the CRT configuration file, which may be accessed by other users depending on how open access is to the computer on which CRT is installed.

Maximum security and privacy on the Internet and local networks requires the use of the Secure Shell Protocols (SSH1 and SSH2) supported in SecureCRT.

Encrypted connections are achieved through the SSH1 and SSH2 protocols.

For more information on security with encryption available with SecureCRT, visit:

http://www.vandyke.com


Changing the Terminal Emulation Type

CRT Icon Changing the Terminal Emulation Type

CRT supports ANSI, SCOANSI, VT100, VT102, and VT220 terminal emulation.

To change the terminal emulation for a session:

4 Select the Emulation category in the Session Options dialog.

4 Specify the type of terminal to emulate listed in the Emulation section.

You can also choose to emulate the keyboard associated with a particular terminal type.

For more information on customizing the keyboard for your needs, see Configuring the Keyboard


Terminal Emulation Overview

CRT Icon Terminal Emulation Overview

There are several terminal emulation modes which change how the terminal operates. These modes include Cursor key mode , Line wrap mode , New line mode, and Application and Numeric Keypad Modes.

To change the terminal mode settings, open the Emulation / Modes category in the Session Options dialog.

You can configure CRT to start with a customized selection of these modes on a per session basis. This is done by making mode selections within the Initial modes section.

In addition, if a session is open, you may modify the current terminal modes by making mode selections within the Current modes section.

See Also:

Disabling/Enabling Mode Switching Sequences


Line Wrap Mode

CRT Icon Line Wrap Mode

The line wrap option determines where a character will appear when the cursor is at the right margin as defined by the number of Logical Rows .

If line wrap is selected, any characters received when the cursor is at the right margin will be displayed on the next line.

If line wrap is not selected, any characters received when the cursor is at the right margin will be displayed just to the left of the right margin, replacing the current character displayed there.

By default, line wrap mode is selected.

See Also:

Disabling/Enabling Mode Switching Sequences

Setting the Number of Rows and Columns


New Line Mode

CRT Icon New Line Mode

The new line option determines the control character(s) generated by the Enter key.

When new line is selected, the Enter key generates both CR and LF characters. In addition, any LF, FF and VT characters will cause the text cursor to be moved to the first column of the next line.

When new line is not selected, the Enter key generates only the CR character.

By default, new line is not selected.

See Also:

Disabling/Enabling Mode Switching Sequences


Application and Numeric Keypad Modes

CRT Icon Application and Numeric Keypad Modes

Application keypad mode and numeric keypad modes are mutually exclusive.

When application keypad mode is enabled, the keypad sends escape sequences to the application on the remote host.

When numeric keypad mode is enabled, the keypad sends the ASCII character codes which correspond to the numeric characters shown on the keys.

By default, numeric keypad mode is enabled.

See Also:

Disabling/Enabling Mode Switching Sequences


Cursor Key Mode

CRT Icon Cursor Key Mode

If the Cursor key option is enabled, the cursor keys send ANSI cursor control sequences to the remote host.

If the Cursor key option is not selected, the cursor keys send application control sequences to the remote host.

By default, the Cursor key option is not selected.

See Also:

Disabling/Enabling Mode Switching Sequences


Enabling/Disabling Mode Switching Sequences

CRT Icon Enabling/Disabling Mode Switching Sequences

Some applications send special escape code sequences which toggle the cursor key, line wrap, new line, and numeric/application keypad modes. By default, these mode switching sequences are interpreted and mode switching is allowed. You can configure CRT to ignore some or all of these mode switching sequences.

To enable/disable mode switching and cause CRT to ignore the mode switching escape code sequences for all or some of these terminal emulation modes:

4 Open the Emulation / Modes category in the Session Options dialog.

4 In the Mode switching section, enable/disable the appropriate mode switching functions by selecting/deselecting the corresponding options.


Enabling Emacs Compatibility

CRT Icon Enabling Emacs Compatibility

If you commonly use Emacs, you can configure your session to use the Alt key as the Meta key.

To enable emacs compatibility and use Alt as the Meta key:

4 Open the Emulation / Emacs category in the Session Options dialog.

4 Select the Use Alt as Meta key option.

WARNING: The Use Alt as the Meta key option will affect your ability to use Alt key combinations to access application menus. You will still be able to access the application menus by pressing and releasing the Alt key and then pressing the menu hot key. For example, to access the File menu when Use Alt as Meta key is enabled, press and release the Alt key and then press F. However, holding down the Alt key and pressing F will be interpreted by emacs and will not bring up the File menu. The pattern shown in this example applies to all Alt key combinations.

Note: Many international keyboards have an "AltGr" key which uses the same keyboard code as Ctrl-Alt to create an alternate shift state for accessing additional characters on certain keys. To enable the use of this key and prevent Emacs from interpreting it as a Ctrl-Alt sequence, select the Preserve AltGr international key option. With this option enabled, Emacs mode is ignored for all AltGr combinations.

Note: By default, the Esc character is sent for Meta key combinations with Emacs compatibility enabled.

To use the 8th bit for Meta key combinations instead of sending the Esc key, select the Use 8th bit for meta key option. This option requires termcap support.


ANSI Color Settings

CRT Icon ANSI Color Settings

ANSI Color supports sixteen colors. Eight of these are for normal colors and eight are for bold colors.

Note: If ANSI color is enabled for a session, the color scheme specified by the session will not be used.

To enable/disable ANSI color support for a session:

4 In the Session Options dialog, open the Emulation category.

4 Select/deselect the ANSI color option.

To customize ANSI colors:

4 In the Global Options dialog, select the Appearance / ANSI color category.

4 To change a color, click on the color and select the new color from the color dialog.

4 To reset all of the colors in either of the Normal or Bold colors back to the default settings, click on the Default button.


Overview of Advanced Terminal Settings

CRT Icon Overview of Advanced Terminal Settings

This section is provided for users who need to modify standard terminal emulation settings in order to communicate with special remote machines. Most users will not need to modify any of the settings discussed in this section.

This section is comprised of the following topics:

Enabling the Answerback Message

Modifying the Terminal Type String

Modifying How the Tab Character is Displayed

Enabling Local Echo

Stripping the 8th Bit


Enabling the Answerback Message

CRT Icon Enabling the Answerback Message

By default, CRT does not respond to the ENQ character with an answerback message. To enable the answerback feature for a session and enter the message to be sent:

4 Select the Emulation / Advanced category in the Session Options dialog.

4 In the Advanced terminal options section, select the Answerback option and enter the answerback message.

With the answerback option selected, CRT will respond to the ENQ character with the specified answerback message.


Modifying the Terminal Type String

CRT Icon Modifying the Terminal Type String

By default, CRT sends the terminal type to the remote machine as designated by the terminal emulation type. To send a string other than the terminal type emulated by CRT to the remote machine:

4 Open Emulation / Advanced category of the Session Options dialog.

4 In the Advanced terminal options section, select the Terminal type option and enter the terminal type string.


Modifying How the Tab Character is Displayed

CRT Icon Modifying How the Tab Character is Displayed

Some applications produce data in a tab-separated columnar format. CRT allows you to change how the tab character is displayed by substituting a specific character or string in place of the tab character. For example, substituting a comma in place of the tab character would produce comma-separated data which could be imported into a spreadsheet or other application that uses comma-separated data.

To change the text displayed when a tab character is received by CRT:

4 Open Emulation / Advanced category of the Session Options dialog.

4 In the Advanced terminal options section select the Display tab as option and enter the tab replacement string or character.


Enabling Local Echo

CRT Icon Enabling Local Echo

Most systems that accept remote terminal connections receive characters from the terminal keyboard and echo them to the terminal screen. However, there are some legacy systems that do not echo characters received from the terminal keyboard to the terminal screen. On such machines, you will not be able to see what you have typed unless you enable local echo. By default, local echo of user input is disabled.

To enable local echo of user input:

4 Open the Emulation / Advanced category of the Session Options dialog.

4 In the Other section, select the Local echo option.


Stripping the 8th Bit

CRT Icon Stripping the 8th Bit

ASCII uses 7 bits to represent characters. Some 7 bit systems do not clear the 8th bit, causing some characters to be displayed incorrectly. If some characters are not being displayed correctly, try enabling the Strip 8th bit option.

To cause CRT to strip (ignore) the high-order bit of each byte received from the remote host:

4 Open the Emulation / Advanced category of the Session Options dialog.

4 In the Other section, select the Strip 8th bit option.


Printing a Selection

CRT Icon Printing a Selection

This function prints the text selected in the terminal screen to the printer.

To print the currently selected text, click on the Print Selection button Print Selection button, located on the CRT toolbar, or you can open the File menu and select Print / Selection.


Printing the Terminal Screen

CRT Icon Printing the Terminal Screen

This function prints the contents displayed in the terminal screen.

To print the content of the terminal screen, click on the Print Screen button Print Screen button, located on the CRT toolbar, or you can open the File menu and select Print / Screen.


Auto Print

CRT Icon Auto Print

Auto Print directs terminal output to the printer. When auto print is turned on, each line of output to the terminal screen is sent to the printer as soon as a CR, LF, FF, or VT character is received.

To turn auto print on, click on the Auto Print button Auto Print button, located on the CRT toolbar, or you can open the File menu and select Print / Auto Print.

Note: If auto print is on, the Auto Print button on the toolbar will appear depressed: Auto Print button (Auto Print is on). If auto print is off, the Auto Print button will appear as normal.

To turn auto print off, click on the Auto Print button Auto Print button (Auto Print is on), or open the File menu and select Print / Cancel or open the File menu and select Print / Auto Print.


Customizing Print Settings for a Specific Session

CRT Icon Customizing Print Settings for a Specific Session

By default, all print settings for CRT sessions are derived from global print settings.

To customize the print settings for a specific session:

4 Select the Printing category in the Session Options dialog.

4 In the Printing category, make sure the Use global print settings option is not selected. This will allow you to bypass the global print settings and customize them for the session.


Changing the Printer Font

CRT Icon Changing the Printer Font

To change the font used with printing in CRT:

4 Open the Global Options dialog and select the Printing category.

4 In the Printer fonts section, click on the Choose... button.

4 Select the font and font properties you wish from the Font dialog and click on the OK button.

Note: This setting may also be configured on a per session basis. For more information, see Customizing Print Settings for a Specific Session.


Changing the Print Margins

CRT Icon Changing the Print Margins

By default, all print margins are set at .5 inches. To change the print margins:

4 Open the Global Options dialog and select the Printing category.

4 In the Margins section, enter the new margin values.

Note: All margins are measured in units of inches.

Note: This setting may also be configured on a per session basis. For more information, see Customizing Print Settings for a Specific Session.


Setting up the Printer

CRT Icon Setting up the Printer

To open the Windows Printer Setup dialog in CRT:

4 Open the Global Options dialog and select the Printing category.

4 Click on the Printer Setup... button.


Overview of Pass Through Printing

CRT Icon Overview of Pass Through Printing

Pass through printing in CRT allows the use of special print control escape sequences which turn on/off a printer control which sends characters directly to the printer. Depending on the sequence received, CRT may bypass the terminal display and send the data directly to the printer.

The topics in this section include:

Disabling Pass Through Printing

Buffering Pass Through Printing

Raw Mode Pass Through Printing

Direct Pass Through Printing to Port


Disabling Pass Through Printing

CRT Icon Disabling Pass Through Printing

To disable pass through printing and cause CRT to ignore all printer control escape sequences it receives:

4 Open the Global Options dialog and select the Printing / Advanced category.

4 In the Pass through printing section, select the Disable pass through printing option.

Note: This setting may also be configured on a per session basis. For more information, see Customizing Print Settings for a Specific Session


Buffering Pass Through Printing

Some applications frequently toggle pass through printing mode on and off. This behavior may result in printed pages with only one line or pages that are otherwise incomplete. This behavior can be averted by enabling the Buffer pass through printing option. This option buffers all pass through printing data and does not send it to the printer until you instruct CRT to print the contents of the pass through printing buffer.

To enable the Buffer pass through printing option:

4 Open the Global Options dialog and select the Printing / Advanced category.

4 In the Pass through printing section, select the Buffer pass through printing option.

To print the contents of the pass through printing buffer:

4 Open the File menu and select Print.

4 In the print menu, select Eject Page.


Raw Mode Pass Through Printing

CRT Icon Raw Mode Pass Through Printing

Raw mode pass through printing allows you to send data to a named printer as defined in Windows. In addition, raw mode instructs Windows to allow the data to be sent to the named printer without being interpreted (i.e. by the printer driver). This feature allows the use of a network printer when using pass through printing. If your host or application sends embedded printer commands (i.e. change font, etc.), enabling raw mode pass through printing will allow these commands to be sent directly to the printer. If raw mode pass through printing is enabled, CRT will not interpret any embedded printer commands.

To enable raw mode pass through printing:

4 Open the Global Options dialog and select the Printing / Advanced category.

4 In the Pass through printing section, select the Use raw mode option.

Note: This setting may also be configured on a per session basis. For more information, see Customizing Print Settings for a Specific Session.


Direct Pass Through Printing to Port

CRT Icon Direct Pass Through Printing to Port

If the destination printer is connected to a port on the local machine, you can set up CRT to print directly to the port on which the printer is attached. Direct pass through printing to a port essentially bypasses the Windows operating system, providing CRT with direct communication to the local printer. If direct pass through printing is enabled, print jobs are not spooled but are sent directly to the printer. The port to which the printer is attached will not be accessible to other applications until the current print job has been completed. For these reasons, it is suggested that you use raw mode pass through printing rather than direct pass through printing to port.

To enable direct pass through printing to port:

4 Open the Global Options dialog and select the Printing / Advanced category.

4 In the Pass through printing section, select the Direct pass through printing to port option.

4 Specify the COM or LPT port to which the destination printer is attached.

Note: This is a deprecated option. Raw mode pass through printing is preferred over direct pass through printing to port.

Note: This setting may also be configured on a per session basis. For more information, see Customizing Print Settings for a Specific Session.


Changing the Terminal Font

CRT Icon Changing the Terminal Font

CRT allows you to change the family and size of the font used in the terminal window.

To change the font displayed in the terminal window:

4 Open the Appearance category in the Session Options dialog.

4 In the Font section, click on the Font... button and make your font selection in the Font dialog.

Note: CRT only supports non-proportional fonts. Therefore, only the non-proportional fonts installed on your machine are displayed in the Font dialog.


Changing the Style of the Cursor

CRT Icon Changing the Style of the Cursor

The appearance of the text cursor can be changed by modifying the style and color. In addition, you can toggle the blinking property of the text cursor. You can choose from among 5 different cursor styles: Block, Short Block, Underline, Vertical Bar, and Wide Vertical Bar.

To change the style of the cursor:

4 Open the Appearance category in the Session Options dialog.

4 In the Cursor section, select the cursor style from the Cursor style drop-down box.

See also:

Changing the Color of the Cursor

Turning Off the Cursor Blink


Changing the Color of the Cursor

CRT Icon Changing the Color of the Cursor

To customize the color of the cursor:

4 Select the Appearance category in the Session Options dialog.

4 In the Cursor section, select the Use color option.

4 Click on the Color button and select a color from the Color dialog.

See also:

Changing the Style of the Cursor

Turning Off the Cursor Blink


Turning Off the Cursor Blink

CRT Icon Turning Off the Cursor Blink

CRT gives you the option of choosing between a blinking cursor and a non-blinking cursor.

To turn the cursor blinking property on or off:

4 Open the Appearance category in the Session Options dialog.

4 In the Cursor section, select or deselect the Blinking option.

By default, the cursor blinking property is turned on.

See also:

Changing the Style of the Cursor

Changing the Color of the Cursor


Overview of Color Schemes

CRT Icon Overview of Color Schemes

CRT allows you to customize the foreground and background colors of both normal and bold text attributes. The foreground and background colors are defined in what is called a color scheme which can then be customized and assigned to a session. CRT comes with a number of pre-defined color schemes. CRT also allows you to create any number of personalized color schemes.

Note: If ANSI color is enabled for a session, the color scheme specified by the session will not be used. For information on how to enable, disable, or customize ANSI color settings, see ANSI Color Settings.

Topics in this section include:

Choosing a Color Scheme

Modifying a Color Scheme

Creating a New Color Scheme


Choosing a Color Scheme

CRT Icon Choosing a Color Scheme

A session can be customized to use any color scheme.

To customize a session by assigning a color scheme:

4 In the Session Options dialog, select the Appearance category.

4 In the Current color scheme section, choose a color scheme from among the available list in the drop-down box.

See also:

Overview of Color Schemes

Modifying a Color Scheme

Creating a New Color Scheme


Modifying a Color Scheme

CRT Icon Modifying a Color Scheme

You can modify a color scheme from either the Global or Session Options dialogs in CRT.

From the Session Options dialog:

4 Select the Appearance category in the Session Options dialog.

4 In the Current color scheme section, click on the Edit... button.

From the Global Options dialog:

4 Select the Appearance category in the Global Options dialog.

4 In the Color Schemes section, click on the Edit... button.

In either case, to modify a color scheme:

4 Select the color scheme you want to edit from among the list of existing color schemes.

4 Click on the Edit... button.

4 In the Color Scheme dialog (see figure 8.3), select the text attribute (Normal, Bold, etc...) you want to modify from among the list of attributes by using the drop-down box or by clicking on the attribute name as it is displayed in the attribute preview area. When an attribute is selected, it will be indicated with a box drawn around it (in figure 8.3, the Normal attribute is selected) in the attribute preview area.

To change the foreground color of the selected text attribute, click on the "Foreground:" button (see Figure 8.3) and select the new foreground color from the Color dialog.

To change the background color of the selected text attribute, click on the "Background:" button and select the new foreground color from the Color dialog.

NOTE: To customize the foreground and background colors of additional text attributes such as Underline, Bold Underline, Blink, Blink Bold, Blink Underline, and Blink Bold Underline, select the Advanced option in the Color Scheme dialog. To disable the display of Overstrike Bold, underline and blink text attributes within the terminal screen, deselect the corresponding option in the Color Scheme dialog (see figure 8.3).

The Color Scheme dialog

Figure 8.3 The Color Scheme dialog

See also:

Overview of Color Schemes

Choosing a Color Scheme

Creating a New Color Scheme


Creating a New Color Scheme

CRT Icon Creating a New Color Scheme

You can create a new color scheme from either the Global or Session Options dialogs in CRT.

From the Session Options dialog:

4 Select the Appearance category in the Session Options dialog.

4 In the Current color scheme section, click on the New... button.

From the Global Options dialog:

4 Select the Appearance category in the Global Options dialog.

4 In the Color Schemes section, click on the New... button.

In either case, to create a new color scheme:

4 Click on the New... button as instructed in the above paragraph.

4 Enter a name for the new color scheme.

4 In the Color Scheme dialog (see figure 8.4), select the text attribute (Normal, Bold, etc...) you want to modify from among the list of attributes by using the drop-down box or by clicking on the attribute name as it is displayed underneath the drop-down box in the attribute preview area. When an attribute is selected, it will be indicated with a box drawn around it (in figure 8.4, the Normal attribute is selected) in the attribute preview area and the attribute name will be displayed above the attribute preview area.

To change the foreground color of the selected text attribute, click on the "Foreground:" button (see Figure 8.4) and select the new foreground color from the Color dialog.

To change the background color of the selected text attribute, click on the "Background:" button and select the new foreground color from the Color dialog.

NOTE: To customize the foreground and background colors of additional text attributes such as Underline, Bold Underline, Blink, Blink Bold, Blink Underline, and Blink Bold Underline, select the Advanced option in the Color Scheme dialog. To disable the display of Overstrike Bold, underline and blink text attributes within the terminal screen, deselect the corresponding option in the Color Scheme dialog (see figure 8.4).

The Color Scheme dialog

Figure 8.4 The Color Scheme dialog

See also:

Overview of Color Schemes

Choosing a Color Scheme

Modifying a Color Scheme


Setting the Number of Rows and Columns

The number of rows and columns that are defined in the parameters of a connection between the client and the remote machine are known as the number of logical rows and columns.

The relationship between the number of logical rows and columns and the size of the CRT window can either be synchronous or asynchronous, and is determined by two session options: Synchronize viewable rows, and Synchronize viewable columns. These options are enabled by default, any changes in the number of logical rows and columns will be reflected in the size of the CRT terminal screen. In addition, resizing the window will cause the number of logical rows and columns to be synchronized to match the new size of the window.

If you would like to maintain a fixed number of rows and columns yet allow the CRT window to be resized, you will need to disable the synchronize viewable rows and columns options and explicitly specify the number of logical rows and columns. In this scenario, the number of rows and columns will remain constant, regardless of the size of the CRT window.

If you would like to maintain a fixed number of rows and columns and keep a fixed size for the CRT window, you will need to disable the synchronize viewable rows and columns options, explicitly specify the number of logical rows and columns, and set the Disable Resize option.

If you would like to allow the number of rows and columns to match the size of the CRT window, you will need to enable the synchronize viewable rows and columns options. This scenario represents the default behavior of the terminal window in CRT. Note that you may also need to reset the Disable Resize option to achieve the default behavior.

Enabling/Disabling Synchronize viewable rows and Synchronize viewable columns

To enable or disable the Synchronize viewable rows and Synchronize viewable columns options:

4 Open the Session Options dialog and select the Emulation category.

4 In the Size section of the Session Options dialog, select or deselect the Synchronize viewable rows and/or Synchronize viewable columns options.

4 Click on the OK button of the Session Options dialog.

Specifying an Explicit Number of Logical Rows and Columns

To specify an explicit number of logical rows and columns:

4 Open the Session Options dialog and select the Emulation category.

4 In the Size section of the Session Options dialog, enter an integer value for the number of logical rows in the Logical rows entry box and an integer value for the number of logical columns in the Logical columns entry box.

4 Click on the OK button of the Session Options dialog.


Resizing the Window

CRT Icon Resizing the Window

Resizing the CRT window can affect the number of rows and columns (see Setting the Number of Rows and Columns , in this chapter). If you would like to prevent the CRT window from being resized by means of the resize handles, you can set the Disable resize option. Note that even though you may change the setting of the Disable resize option globally, it is possible to make exceptions for one or more sessions by setting this option on a per-session basis.

To set/reset the Disable resize option for all CRT sessions:

4 Select the Options category in the Global Options dialog.

4 In the Other section of the Global Options dialog, select/deselect the Disable resize option.

To set/reset the Disable resize option for a specific session:

4 Select the Appearance / Window category in the Sessions Options dialog.

4 Select/deselect the Disable resize option.

Note: Full screen mode is not allowed when the Disable resize feature is set.

By default, the Disable resize feature is not selected.


Changing the Keyboard Emulation Type

CRT Icon Changing the Keyboard Emulation Type

Terminal keyboard emulation settings are defined by a keymap file. CRT includes four built-in keymap files: VT100, VT220, SCOANSI, and Default. The Default keymap file defines an emulation most similar to the PC keyboard, but also provides mappings for the keys F1-F4. In most situations, you will want the keyboard emulation to match the terminal emulation type you are using.

To change the keyboard emulation type for a session:

4 Select the Emulation category in the Sessions Options dialog.

4 In the Emulation section make your keyboard selection in the Keyboard drop-down box. If you are selecting a custom keyboard, you will need to specify the custom keymap filename.

See also:

Changing the Terminal Emulation Type


Overview of Session Keymaps

CRT Icon Overview of Session Keymaps

CRT provides the option of mapping key combinations to actions and saving these mappings on a session level without having to create a custom keymap file. This section focuses on how to assign actions to key combinations for a session.

For mapping key combinations that will be used across multiple sessions, consider using a keymap file. See section 9.4: Using the Keymap Editor to Create a Custom Keymap File .

Note: Session keymaps override corresponding definitions found in the keymap file associated with the session.

Note: The Alt+F6 key combination is reserved in Windows and cannot be mapped.

This section is comprised of the following topics:

Creating a New Session Keymap

Editing an Existing Session Keymap

Removing an Existing Session Keymap

For these sections, refer to figure 9.1 (below).

Session Keyboard Mapping

Figure 9.1 Session Keyboard Mapping

See Also:

Table of Keymap Functions


Mapping a Key Combination

CRT Icon Mapping a Key Combination

To create a new session keymap:

4 Select the Emulation / Keyboard category in the Session Options dialog.

4 Click on the Map Key... button.

4 When the Map Key dialog appears, press the key combination you wish to map.

4 In the Map Selected Key dialog, specify the function you wish the keymap to perform, and any applicable arguments.

To restore a keymap back to its original action as defined in the default keymap (if any), click on the Default button.

See also:

Overview of Session Keymaps

Editing an Existing Key Mapping

Removing an Existing Key Mapping

Table of Keymap Functions


Editing an Existing Key Mapping

CRT Icon Editing an Existing Key Mapping

To edit an existing session keymap:

4 Select the Emulation / Keyboard category in the Session Options dialog.

4 In the Mapped Keys section (see figure 9.1), select the key combination you wish to change.

4 Click on the Edit... button and make the changes you wish.

See also:

Overview of Session Keymaps

Mapping a Key Combination

Removing an Existing Key Mapping

Table of Keymap Functions


Removing an Existing Key Mapping

CRT Icon Removing an Existing Key Mapping

To remove an existing session keymap:

4 Select the Emulation / Keyboard category in the Session Options dialog.

4 In the Mapped Keys section (see figure 9.1), select the key combination you wish to remove.

4 Click on the Delete button to remove the selected key combination.

See also:

Overview of Session Keymaps

Mapping a Key Combination

Editing an Existing Key Mapping

Table of Keymap Functions


Modifying the Behavior of Backspace and Delete

CRT Icon Modifying the Behavior of Backspace and Delete

You may find it necessary to change the behavior of the Backspace key by sending the Delete sequence and vice versa.

If you would like to have the Backspace key send the Delete character:

4 Select the Emulation / Keyboard category in the Session Options dialog.

4 In the Other Mappings section, select the Backspace sends delete button.

If you would like to have the Delete key send the Backspace character:

4 Select the Emulation / Keyboard category in the Session Options dialog.

4 In the Other Mappings section, select the Delete sends backspace button.


Starting the Keymap Editor

CRT Icon Starting the Keymap Editor

The keymap editor (figure 9.2) is used to create or modify keymap files.

Note: The Alt+F6 key combination is reserved in Windows and cannot be mapped.

Keymap Editor dialog

Figure 9.2 The Keymap Editor

Starting the keymap Editor

To start the keymap editor, click on the Keymap Editor button Keymap Editor button, located on the CRT toolbar, or open the Window menu and select the Keymap Editor... menu item. Once you have started the Keymap Editor, you will want to assign actions to keys, and then save your keymaps to a keymap file.

See also:

Overview of Session Keymaps


Assigning Actions to Keys

CRT Icon Assigning Actions to Keys

To map a key combination to an associated action, you first need to select the key combination you wish to map.

After you have selected the key combination you wish to map, you must specify the action you wish to invoke.

You can use either of the two methods listed below to assign an action to a key or key combination.

Button Click Method

4 If desired, select any modifier keys (Alt, Ctrl, or Shift) by clicking on the associated options.

4 Select the key you wish to modify by clicking on it.

4 Either click on the Map Selected Key... button or simply double-click on the key you wish to map.

4 In the Map Selected Key dialog, specify the function you wish the keymap to perform, and supply any applicable arguments.

To restore a keymap back to its original action (if any), click on the Default button.

Manual Entry Method

4 Click on the Map Next Key... button.

4 When the Map Key dialog appears, press the key combination you wish to map.

4 In the Map Selected Key dialog, specify the function you wish the keymap to perform, and supply any applicable arguments.

To restore a keymap back to its original action (if any), click on the Default button.

See the Table of Keymap Functions for a listing and explanation of the various functions that can be mapped to key combinations.


Saving Your Changes to a Keymap File

CRT Icon Saving Your Changes to a Keymap File

Once you have made assignments to all of the key combinations you wish to make, you will need to save your modifications to a keymap file.

If this is a new keymap that you have created, click on the Save As button located in the Keymap Editor dialog. Otherwise, click on the Save button and your changes will be saved to the current keymap file (the keymap file being used by the current open session, if any).


Table of Keymap Functions

CRT Icon Table of Keymap Functions

Key combinations can be mapped to any one of the Send String, Run Script, Menu, Scrollbar, Telnet, and VT function genres.

Function Genre | Function Name | Function Parameters | Action
Send String | N/A | string | Sends "string".
Run Script | N/A | scriptfile | Runs scriptfile.
Menu Function | MENU_NEW_WINDOW |  | Opens a new CRT window.
 | MENU_CONNECT |  | Opens a new CRT window and brings up the CRT Connect dialog.
 | MENU_DISCONNECT |  | Closes the current connection.
 | MENU_QUICK_CONNECT |  | Opens a new CRT window and brings up the CRT Quick Connect dialog.
 | MENU_PRINT_AUTO |  | Toggles Auto Print.
 | MENU_PRINT_CANCEL |  | Turns Auto Print off.
 | MENU_PRINT_EJECT_PAGE |  | Sends the contents of the pass through printing buffer to the printer.
 | MENU_PRINT_SCREEN |  | Prints the contents of the CRT terminal screen.
 | MENU_PRINT_SELECTION |  | Prints the current selection
 | MENU_LOG_SESSION |  | Toggles session logging.
 | MENU_RECENT_n |  | Opens the session indicated by the nth item on the Recently Used Sessions List section of the File menu. Valid values for n are the integers 1-4.
 | MENU_RECONNECT |  | Reconnects to the machine whose connection was most recently closed.
 | MENU_EXIT |  | Exits CRT
 | MENU_COPY |  | Copies the text selected in the CRT terminal screen.
 | MENU_PASTE |  | Pastes the contents of the Clipboard to the CRT terminal screen.
 | MENU_COPY_PASTE |  | Copies the text selected in the CRT terminal screen and pastes it back to the terminal screen.
 | MENU_SELECT_ALL |  | Selects the contents of the scrollback buffer.
 | MENU_FIND |  | Opens the Find dialog for text searching.
 | MENU_CLEAR_SCREEN |  | Clears the terminal screen.
 | MENU_CLEAR_SCROLLBACK |  | Clears the scrollback buffer.
 | MENU_RESET |  | Resets the CRT terminal emulator.
 | MENU_TOGGLE_MENU_BAR |  | Toggles display of the CRT menu bar.
 | MENU_TOGGLE_TOOLBAR |  | Toggles display of the CRT toolbar.
 | MENU_TOGGLE_STATUS_BAR |  | Toggles display of the. CRT status bar.
 | MENU_TOGGLE_CHAT_WINDOW |  | Toggles display of the CRT chat window.
 | MENU_TOGGLE_FULL_SCREEN |  | Toggles full screen mode.
 | MENU_SAVE_SETTINGS_NOW |  | Saves session settings.
 | MENU_WINDOW_NEXT |  | Cycles focus to the next CRT window
 | MENU_WINDOW_PREV |  | Cycles focus to the prev CRT window.
 | MENU_WINDOW_n |  | Cycles focus to the nth CRT window as designated in the Window menu. Valid values for n are integers 1-0, where the value 0 indicates the 10th window.
Scrollbar Function | SB_LINE_UP |  | Moves the contents of the terminal screen down by one line. Same as clicking on the vertical scrollbar up arrow.
 | SB_LINE_DOWN |  | Moves the contents of the terminal screen up by one line. Same as clicking on the vertical scrollbar down arrow.
 | SB_HALF_PAGE_UP |  | Moves the contents of the terminal screen down by one-half of a page.
 | SB_HALF_PAGE_DOWN |  | Moves the contents of the terminal screen up by one-half of a page.
 | SB_PAGE_UP |  | Moves the contents of the terminal screen down by one page. Same as clicking between the up arrow and the slider in the vertical scrollbar "trough".
 | SB_PAGE_DOWN |  | Moves the contents of the terminal screen up by one page. Same as clicking between the down arrow and the slider in the vertical scrollbar "trough".
 | SB_BEGIN |  | Scrolls to the beginning of the scrollback buffer.
 | SB_END |  | Scrolls to the end of the scrollback buffer.
 | SB_COLUMN_LEFT |  | Moves the contents of the terminal screen right by one column. Same as clicking on the horizontal scrollbar left arrow.
 | SB_COLUMN_RIGHT |  | Moves the contents of the terminal screen left by one column. Same as clicking on the horizontal scrollbar right arrow.
 | SB_PAGE_LEFT |  | Moves the contents of the terminal screen right by one page (number of logical columns). Same as clicking between the left arrow and the slider on the horizontal scrollbar.
 | SB_PAGE_RIGHT |  | Moves the contents of the terminal screen left by one page (number of logical columns). Same as clicking between the right arrow and the slider on the horizontal scrollbar.
Telnet Function | TN_ABORT_OUTPUT |  | Sends the Abort Output (AO) control function to the remote host.
 | TN_ARE_YOU_THERE |  | Sends the Are You There (AYT) control function to the remote host.
 | TN_BREAK |  | Sends the BREAK control function to the remote host.
 | TN_INTERRUPT_PROCESS |  | Sends the Interrupt Process (IP) control function to the remote host.
 | TN_SYNCH |  | Sends the SYNCH control function to the remote host. Used in combination with the IP control function to ensure that the host and client are in synch with each other after an IP control function is called.
VT Function |  |  | Each VT function sends the key codes associated with the name of the VT function.


ASCII Control Codes

CRT Icon ASCII Control Codes

This table lists the values for the ASCII control Characters (ASCII decimal values 0 - 31). Decimal and Hex values are provided to aid in conversion.

Note: CRT requires octal values.

Ctrl | Decimal | Hex | Octal
^@ | 0 | 0x00 | \000
^A | 1 | 0x01 | \001
^B | 2 | 0x02 | \002
^C | 3 | 0x03 | \003
^D | 4 | 0x04 | \004
^E | 5 | 0x05 | \005
^F | 6 | 0x06 | \006
^G | 7 | 0x07 | \007
^H | 8 | 0x08 | \010
^I | 9 | 0x09 | \011
^J | 10 | 0x0A | \012
^K | 11 | 0x0B | \013
^L | 12 | 0x0C | \014
^M | 13 | 0x0D | \015
^N | 14 | 0x0E | \016
^O | 15 | 0x0F | \017
^P | 16 | 0x10 | \020
^Q | 17 | 0x11 | \021
^R | 18 | 0x12 | \022
^S | 19 | 0x13 | \023
^T | 20 | 0x14 | \024
^U | 21 | 0x15 | \025
^V | 22 | 0x16 | \026
^W | 23 | 0x17 | \027
^X | 24 | 0x18 | \030
^Y | 25 | 0x19 | \031
^Z | 26 | 0x1A | \032
^[ | 27 | 0x1B | \033
^\ | 28 | 0x1C | \034
^] | 29 | 0x1D | \035
^^ | 30 | 0x1E | \036
^_ | 31 | 0x1F | \037


Send String And Function Key Commands

CRT Icon Send String & Function Key Commands

The following commands can be included as part of a keymap, or anti-idle string.

Command | Action
\r | Sends a carriage return (CR)
\n | Sends a linefeed (LF)
\b | Sends a backspace
\e | Sends an escape
\t | Sends a tab
\v | Pastes the contents of the Clipboard to the active session window
\p | Pauses for 1 second


Creating Scripts

CRT Icon Creating Scripts

CRT is capable of hosting "ActiveX Script" engines. The most common ActiveX script engines are VBScript and JScript (Microsoft’s version of JavaScript), both of which are freely available from Microsoft. Chances are you already have them installed if you’ve installed Internet Explorer 4.0.

ActiveX script engines communicate with CRT via standard interfaces. Therefore, CRT can host any compliant script engine to run your scripts. The advantage of this approach is that you can script CRT using the language of your choice. If an ActiveX script engine is available for your preferred scripting language, you can write scripts that will work with CRT

Scripts for CRT are simply text files that you create with your text editor. Each script that CRT runs must have a header that begins on the first line of the script. The header is used by CRT to identify which script language the script is written in and the version of CRT's scripting interface. Each line of the script header must begin with a (#) character. The CRT script header requires a $language line which identifies the script engine and an $interface line to identify CRT's interface version.

The syntax of the script header is always the same regardless of the script language you are using.

A simple but complete CRT script with a header that identifies it as VBScript is shown below:

# $language = "VBScript"

# $interface = "1.0"

Sub Main

  ' Display CRT's version

  MsgBox "CRT version is: " & crt.Version

End Sub

Note, a CRT script header may also contain blank lines that begin with (#).

The quoted string following $language identifies the script engine. If you are writing scripts that use Microsoft’s JScript language, the appropriate identifier is "JScript". If you are using another script engine you’ll need to consult the documentation for the identifier for that language. Currently the script header should specify version "1.0" for $interface. Future versions of CRT may support other versions. The example script above has a subroutine named "main" where all of the script’s code is located. When CRT executes scripts it always attempts to run a "main" routine if you have defined one.

It is not a requirement that you place your code within a "main" however there may be reasons why you would want to do this. The VBScript and JScript engines will parse and execute global script code (script code you have defined outside of any subroutine) before your "main" is executed. If you have "initialization" code that you want to ensure has been completely executed before your actual script code begins, it may be useful to place your initialization code at the global level. This will ensure that your initialization code will all execute before your "main" code runs.

Another reason you may want a "main" routine is to allow your scripts a way of aborting themselves in case of problems. In VBScript there is no built-in way of exiting a script at the global level. However, if you want to exit a subroutine it is possible to use the "Exit Sub" syntax to do so. For example, in VBScript:

Sub Main

  condition = DoSomething()

  If condition = 0 Then

    ' Error, bailout

    Exit Sub

  End If

End Sub

When the "main" routine ends the script has finished running. By placing your code within a "main" you have the option of invoking "Exit Sub" whenever it might be necessary.

The previous script samples are written in VBScript. The remainder of code samples in this document are all written in VBScript unless it is stated otherwise. The properties and methods of CRT's interface can be used as documented by any compatible scripting language.

See the sample scripts for examples of CRT scripts using languages other than VBScript.

See also:

Handling Script Errors

Overview of Script Objects


Handling Script Errors

CRT Icon Handling Script Errors

When scripting CRT with VBScript there are a couple of possible ways of dealing with script errors. For simple scripts, one possibility is to assume that the script will work properly, and not deal with runtime errors that may occur. For example, the call to Connect in the following code sample might fail if the host defined for the ‘server’ session is down or invalid for some reason:

Dim sess

sess = crt.Session

sess.Connect "/s server"

' use the 'sess' object.

...

In the case of a Connect failure CRT will generate a runtime error that by default will display an error message and terminate the script. For simple scripts that may desired or sufficient behavior.

For more robust error handling a CRT script should use the VBScript statement "On Error Resume Next". Placing this statement at the top of a routine tells VBScript not to terminate the script, but to set the ‘Err’ object and continue execution. This makes the script responsible for handling failures. In the event of a runtime error, scripts that handle these errors should check the value of VBScript’s ‘Err’ object after calls to CRT functions that may fail. A revised example that handles failures with Connect might look like this:

On Error Resume Next

Dim sess

sess = crt.Session

sess.Connect "/s server"

if Err.Number <> 0 Then

   MsgBox "An error occurred: " & Err.Description

   ' handle the error here

...

End If

See also:

Creating Scripts

Overview of Script Objects


Overview of Script Objects

CRT Icon Overview of CRT Script Objects

Scripts interact with CRT by invoking properties and methods on CRT's "top-level" or Application object or by invoking the properties and methods on "sub-objects" available through CRT's application object. CRT's application object is accessed in scripts with the name ‘crt’. Properties and methods on CRT's sub-objects may be accessed by creating a reference to a sub-object, or through the use of VBScript’s multiple dot syntax. For example:

Dim dlg

Set dlg = crt.Dialog

dlg.Prompt("Login:")

Or, without creating the reference:

crt.Dialog.Prompt("Login:")

For a complete reference to all CRT script objects, see the Script Objects Reference in the next section.


Application Object

CRT Icon Application Object

Description

Top-level object. Provides access to all of CRT's properties and methods.

Syntax

crt.property [ = expression ]

crt.Method([arglist])

Remarks

The name ‘crt’ is used to access all of CRT's top-level properties and methods. Some of these top-level properties return references to other objects. When a script is run by CRT it is not necessary to create the ‘crt’ object. It is automatically part of the script namespace.

Application Object Properties and Methods

Properties | Methods
ActivePrinter | Quit
Dialog |
Screen |
Session |
Version |
Window |

Properties

ActivePrinter

Description

Returns or sets the name of the active printer.

Syntax

crt.ActivePrinter [ = printerName ]

Remarks

Read/Write string property.

Example:

If crt.ActivePrinter <> "\\SERVER\InkJet2" Then

crt.ActivePrinter = "\\SERVER\InkJet2"

MsgBox "Updated Printer"

End If

Dialog

Description

Returns a reference to CRT's Dialog object.

Syntax

Set object = crt.Dialog

Remarks

See the Dialog object documentation for a description of its properties and methods.

Screen

Description

Returns a reference to CRT's Screen object.

Syntax

Set object = crt.Screen

Remarks

Object variables assigned from the screen property require the ‘Set’ syntax. See the Screen object documentation for a description of its properties and methods.

Session

Description

Returns a reference to CRT's Session object.

Syntax

Set object = crt.Session

Remarks

See the Session object documentation for a description of its properties and methods.

Version

Description

Returns a string containing CRT's version.

Syntax

crt.Version

Remarks

Read-only string property

Example:

MsgBox "The version of CRT is: " & crt.Version

Window

Description

Returns a reference to CRT's Window object.

Syntax

Set object = crt.Window

Remarks

See the Window object documentation for a description of its properties and methods.

Methods

Quit

Description

Causes CRT to exit.

Syntax

crt.Quit

Remarks

A script that invokes Quit will be terminated immediately and cause CRT to exit.


Window Object

CRT Icon Window Object

Description

The Window object provides access to properties and methods relating to CRT's window such as the window’s visible state, caption, etc.

Syntax

window.property [ = expression ]

window.Method([arglist])

Remarks

CRT's Window object is accessed through the top-level object’s ‘Window’ property.

Window Object Properties and Methods

Properties | Methods
Active | Activate
Caption | Show
State |

Properties

Active

Description

Returns True if CRT's window is the active window, otherwise False.

Syntax

object.Active

Remarks

Boolean read-only property.

Caption

Description

Returns or sets the title or caption of CRT's application window.

Syntax

object.Caption [ = string ]

Remarks

Read/write string property.

State

Description

Returns a number indicating the state of CRT's application window.

Syntax

object.State

Remarks

Read-only numeric property. The state may be one of the following values depending on CRT's window state:

0 - hidden

1 - visible (normal)

2 - minimized

3 - maximized

Methods

Activate

Description

Gives focus to the CRT window, bringing the window to the top of the desktop.

Syntax

object.Activate

Remarks

On Windows 98 and Windows 2000, calling Activate()from a script may cause CRT's icon to flash in the task bar instead of raising CRT to the top. This is the required behavior for these operating systems.

Show

Description

Shows, hides, minimizes, maximizes or restores CRT's application window

Syntax

object.Show number

Remarks

The state may be one of the following values:

0 - Hide

1 - Show (Normal)

2 - Minimize

3 - Maximize


Session Object

CRT Icon Session Object

Description

The Session object provides access to the state and properties that exist for the current connection or session.

Syntax

session.property [ = expression ]

session.Method([arglist])

Remarks

CRT's Session object is accessed through the top-level object’s ‘Session’ property.

Session Object Properties and Methods

Properties | Methods
Connected | Connect
LocalAddress | Disconnect
LogFileName | Log
RemoteAddress | Print

Properties

Connected

Description

Returns a boolean value indicating whether the current session is connected or not.

Syntax

object.Connected

Remarks

Boolean read-only property.

LocalAddress

Description

Returns the IP address of the local machine in the form of a string.

Syntax

object.LocalAddress

Remarks

LocalAddress is a read-only string property. The LocalAddress property should only be accessed if the session is connected. Attempting to access LocalAddress while not connected is an error.

LogFileName

Description

Returns or sets the name of the current log file.

Syntax

object.LogFileName [ = filename ]

Remarks

If filename is invalid a runtime error is generated. See also: session.Log

RemoteAddress

Description

Returns the IP address of the remote host in the form of a string.

Syntax

object.RemoteAddress

Remarks

RemoteAddress is a read-only string property. The RemoteAddress property should only be accessed if the session is connected. Attempting to access RemoteAddress while not connected is an error.

Methods

Connect

Description

Connects a session

Syntax

object.Connect arg

Remarks

The Connect method takes a string parameter that specifies how a connection is to be made. The format of the string parameter matches the format of the command line arguments to CRT.

Examples:

Connect using a pre-defined session:

crt.session.Connect("/s mysession")

Connect to ‘myhost’ on port 2345 using the telnet protocol and Default session parameters:

crt.session.Connect("/telnet myhost 2345")

Disconnect

Description

Disconnects the current session.

Syntax

object.Disconnect

Remarks

If the current session is not connected. Disconnect does nothing.

Log

Description

Enables or disables logging.

Syntax

object.Log(start[,append,[raw]])

Remarks

Starts or stops logging depending on the boolean state of the ‘start’ parameter. When logging is being started the optional boolean ‘append’ and ‘raw’ parameters may be set to True to open the log file for appending or to log raw characters respectively. The append and raw parameters are optional and are false if not specified (When ‘start’ is false the values of append and raw are ignored).

Print

Description

Starts or stops autoprint.

Syntax

object.Print(start)

Remarks

Starts or stops autoprint depending on the boolean ‘start’ parameter.


Screen Object

CRT Icon Screen Object

Description

The Screen object provides access to CRT's terminal screen.

Syntax

screen.property [ = expression ]

screen.Method([arglist])

Remarks

CRT's Screen object is accessed through the top-level object’s ‘Screen’ property.

Screen Object Properties and Methods

Properties | Methods
CurrentColumn | Clear
CurrentRow | Get
Coluumns | Print
Rows | Send
Synchronous | SendSecial
 | WaitForCursor
 | WaitForKey
 | WaitForString
 | WaitForStrings

Properties

CurrentColumn

Description

Returns the current column of the cursor.

Syntax

object.CurrentColumn

Remarks

Read-only numeric property. The first column is 1. An error will be returned if there is no connection open.

CurrentRow

Description

Returns the current row of the cursor.

Syntax

object.CurrentRow

Remarks

Read-only numeric property. The first row is 1. An error will be returned if there is no connection open.

Columns

Description

Returns the current number of columns.

Syntax

object.Columns

Remarks

Read-only numeric property.

Rows

Description

Returns the current number of rows

Syntax

object.Rows

Remarks

Read-only numeric property.

Synchronous

Description

Returns or sets the Synchronous setting of the screen.

Syntax

object.Synchronous [ = True | False ]

Remarks

If Synchronous is False then under certain circumstances a script can miss data sent by the server that it is expecting to see. Synchronous is set to False by default, and should only be set to true in circumstances when a possibility of a script missing data exists. Scripts should then return the Synchronous state to False.

For example, the following code that waits for two different strings could potentially miss the second string while it is performing some operation after receiving the first string. In order to prevent this kind of condition, it temporarily sets Synchronous to True:

...

crt.screen.Synchronous = True

crt.screen.Send("someCommand")

crt.screen.WaitForString("thisString")

... do something else

crt.screen.WaitForString("thatString")

crt.screen.Synchronous = False

Methods

Clear

Description

Clears the screen.

Syntax

object.Clear

Remarks

None.

Get

Description

Returns a string of characters read for a portion of the screen.

Syntax

object.Get(row1, col1, row2, col2)

Remarks

Returns a string containing the characters on the screen rectangle defined by the numeric values row1,col1 (upper-left) and row2,col2 (lower-right).

Print

Description

Prints the screen

Syntax

object.Print

Remarks

If no printer is defined on your machine, an error will be returned.

Send

Description

Sends a string of characters.

Syntax

object.Send string

Remarks

Attempting to send a string while no connection is open returns an error.

SendSpecial

Description

Sends a special

Syntax

object.SendSpecial string

Remarks

The string parameter to SendSpecial should describe one of the special CRT or protocol functions. Attempting to use SendSpecial while no connection is opened will result in an error.

Examples:

screen.SendSpecial "TN_BREAK"

screen.SendSpecial "VT_PF1"

WaitForCursor

Description

Wait for the cursor to change position.

Syntax

object.WaitForCursor [ timeout ]

Remarks

The optional timeout parameter specifies the number of seconds to wait for the change. If a change of cursor position is detected WaitForCursor() returns True. If a timeout occurs the function returns False. If no timeout is specified then WaitForCursor() will not time out. An error will be returned if there is no connection open.

WaitForKey

Description

Wait for a keypress event.

Syntax

object.WaitForKey [ timeout ]

Remarks

The optional timeout parameter specifies the number of seconds to wait for a key event. If key event is detected WaitForKey() returns True. If a timeout occurs the function returns False. If no timeout is specified then WaitForKey() will not time out. An error will be returned if there is no connection open.

WaitForString

Description

Wait for a string.

Syntax

object.WaitForString string [, timeout]

Remarks

Wait for the string to appear in the input. The timeout (seconds) parameter is optional. When the string is detected in the input WaitForString() returns True. If a timeout occurs the function returns False. An error will be returned if there is no connection open.

Example:

If crt.screen.WaitForString("ogin:", 10) <> True Then

MsgBox "Failed to detect login!"

Exit Sub

End If

WaitForStrings

Description

Wait for one of several strings to appear in the input.

Syntax

object.WaitForStrings string1, [string2, ..., stringn] [, timeout]

Remarks

Waits for one of the strings given as arguments to appear in the input. When one of the argument strings is matched in the input, WaitForStrings() returns the argument index of the string that was found (the index of the first string given as an argument to WaitForStrings() is 1). If the optional timeout parameter is specified and a timeout occurs before any of the strings are found, WaitForStrings() returns 0. In the absence of a timeout parameter WaitForStrings() will block without timing out and will not return 0. An error will be returned if there is no connection open.

Example:

Dim result

result = crt.screen.WaitForStrings("foo", "bar", "quux", "gee", 10)

MsgBox result

If result = 3 Then

     MsgBox "Got quux!"

End If

If result = 0 Then

    MsgBox "Timed out!"

End If

Notes

If you are using VBScript, WaitForStrings() will accept an array of strings as its first argument followed by an optional timeout. The value returned by WaitForStrings() will be the index of the string found in the array (1st element in the array = 1). A value of 0 will be returned if no strings were found within the timeout period if specified.


Dialog Object

CRT Icon Dialog Object

Description

The Dialog object provides access to simple user-interface features provided by CRT.

Syntax

dialog.Method([arglist])

Remarks

CRT's Dialog object is accessed through the top-level object’s ‘Dialog’ property.

Dialog Object Methods

Methods

Prompt

MessageBox

Methods

Prompt

Description

Prompt a user to enter a string.

Syntax

object.Prompt(message [, title [, default [, isPassword ]]])

Remarks

The Prompt function displays a simple dialog that has message and an edit field for the user to enter a string. The message parameter is simply an informational string displayed in the prompt dialog. Optionally the title of the prompt dialog may be set by passing a title string. By default the edit field is empty, but the initial contents of the edit field may be set with the optional default string. Finally, if the text entered in the edit field is to be obscured as it is entered (such as when entering a password) then the boolean ‘isPassword’ field should be set to True.

If the user clicks OK, Prompt returns the entered string.

Example:

Dim pass

pass = crt.Dialog.Prompt("Enter your password:", "Login Script", "", True)

MessageBox

Description

Display a message

Syntax

object.MessageBox(message [, title [, default [, buttons]]])

Remarks

The MessageBox function displays a message string to the user. The optional title string sets the title or caption of the MessageBox. The buttons that appear on the MessageBox can be configured by passing a combination of numeric values in the optional ‘buttons’ parameter. By default MessageBox will display the message string with an "OK" button. However, many possibilities exist for displaying messageboxes with different icons, and buttons.

The MessageBox function returns a numeric value that can be used to identify which button was clicked.

The following code sample defines the constants that can be combined to form the ‘button’ parameter as well as the possible numeric return values:

' button parameter options

Const ICON_STOP = 16                 ' display the ERROR/STOP icon.

Const ICON_QUESTION = 32             ' display the '?' icon

Const ICON_WARN = 48                 ' display a '!' icon.

Const ICON_INFO= 64                  ' displays "info" icon.

Const BUTTON_OK = 0                  ' OK button only

Const BUTTON_CANCEL = 1              ' OK and Cancel buttons

Const BUTTON_ABORTRETRYIGNORE = 2    ' Abort, Retry, and Ignore buttons

Const BUTTON_YESNOCANCEL = 3         ' Yes, No, and Cancel buttons

Const BUTTON_YESNO = 4               ' Yes and No buttons

Const BUTTON_RETRYCANCEL = 5         ' Retry and Cancel buttons

Const DEFBUTTON1 = 0        ' First button is default

Const DEFBUTTON2 = 256      ' Second button is default

Const DEFBUTTON3 = 512      ' Third button is default

' Possible MessageBox() return values

Const IDOK = 1              ' OK button clicked

Const IDCANCEL = 2          ' Cancel button clicked

Const IDABORT = 3           ' Abort button clicked

Const IDRETRY = 4           ' Retry button clicked

Const IDIGNORE = 5          ' Ignore button clicked

Const IDYES = 6             ' Yes button clicked

Const IDNO = 7              ' No button clicked

' Display a messagebox with Yes/No buttons.

' Make the 'No' button the default.

result = crt.Dialog.MessageBox("Login Failed, Retry?", "Error", ICON_QUESTION Or BUTTON_YESNO Or DEFBUTTON2 )

If result = IDNO Then

     Exit Sub

End If


Connecting Through a Firewall

CRT Icon Connecting Through a Firewall

CRT supports connections through generic proxy firewalls, as well as SOCKS version 4 and SOCKS version 5 firewall types.

To configure the SOCKS firewall, select the appropriate SOCKS version for your firewall and specify the hostname and port (usually 1080) of your SOCKS firewall.

To configure CRT to use a generic proxy, you must specify the proxy host and port, the proxy prompt, and the connect or open command.

For example, for the TIS Firewall toolkit, the prompt would be

tn-gw>

and the command would be:

c %h %p\r

For WinGate, the prompt would be

WinGate>

and the command would be:

%h %p\r\n

To set up CRT to connect through a firewall:

4 Select the Firewall category in the Global Options dialog.

4 Select the firewall type in the Type section.

4 Specify the necessary parameters in the Parameters section.


Introduction to SysAdmin Issues

CRT Icon Introduction to System Administration Issues

The topics included in this section contain information that may be useful to system administrators who find it necessary to configure CRT for use by a large number of different users.

These topics include:

Specifying the Configuration Directory:

How to specify the directory in which the CRT configuration files will be stored or loaded.


Specifying the Configuration Directory

CRT Icon Specifying the Configuration Directory

This topic explains how to specify the directory CRT will use to store and load the initialization files containing the settings for global and session options.

If this is the first time you have installed CRT

If this is the first installation of CRT on your system, the Browse for Folder dialog will appear when CRT is run for the first time after installation. In the Browse for Folder dialog, select the directory in which you would like to store the settings for global and session options and then click on the OK button.

If you are installing CRT over a previous version:

If you have an earlier version of CRT installed on your system as well as a 3.0 version installed, the Migrate CRT Settings dialog will appear the first time you run the 3.0 version. In this dialog, you are asked if you want to migrate the options settings from your earlier version of CRT. If you would like to migrate the configuration settings from the prior version to the newer version of CRT, you must also specify the configuration directory at this time:

4 Specify the configuration directory by entering the full directory path or by clicking on the Browse button Browse button, and selecting the path from the Browse for Folder dialog.

4 Once you have specified the configuration directory (if different than the default configuration directory), click on the Yes button. Your configuration settings will be migrated and stored in the configuration directory that you specified in the first step above.

Note: If you do not wish to migrate your configuration settings from the older installation of CRT, click on the No button in the Migrate CRT Settings dialog and the Browse for Folder dialog will appear, in which you will be able to specify the CRT configuration directory.

To specify a different configuration directory than the one CRT currently uses

• Start the Windows registry editor.

• Select the following key:

HKEY_CURRENT_USER\Software\Van Dyke Technologies\CRT 3.0\Global\Config Path

• Modify the value of this key to reflect the full path of the new configuration directory.

• Exit the registry editor to save the new value.


Glossary

alphanumeric

Consisting of any of the letters of the English alphabet and the numbers 0 through 9.

Related topics:

Word delimiter characters

client

A computer or application that uses services provided by a server .

color scheme

A combination of session settings which specify a variety of colors associated with the terminal window, including foreground and background.

Related topics:

Overview of color schemes

connection

A data path or circuit between two computers over a phone line, network cable, or other means.

Related topics:

Connection overview

ActiveX scripting

Table of keymap functions

The toolbar

disconnect

To close a telnet , SSH , or other type of communication connection between a client and a server .

Related topics:

Dialog display options

ActiveX scripting

Table of keymap functions

Closing/clearing the window on disconnect

The toolbar

rz

A ZModem command that initiates a ZModem receive operation. The rz command can be run from the command line on a remote machine to instruct the sender that the remote machine is ready to receive data. See also: sz

Related topics:

Overview of ZModem

server

A computer program that provides services to other computer programs (called clients ). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server.

session

A session is a set of options that are assigned to a connection to a remote machine in CRT. These settings and options are saved under a session name and allow the user to have different preferences for different hosts.

Related topics:

Sessions overview

session name

The label assigned to a session . For example, a user might use "Accounting DB" as a session name for a session that connects to sales.mycompany.com.

Related topics:

Sessions overview

sz

A ZModem command that initiates a ZModem send operation. The sz command can be run from the command line on a remote machine over a communication channel to instruct the receiving machine to prepare to receive data. See also: rz

Related topics:

Overview of ZModem

TAPI

Telephony API: A standard developed by Intel and Microsoft that manages access to phone lines on a Windows PC. CRT uses TAPI to provide phone dialer options. TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis.

Related topics:

Connecting with the TAPI dialer

TAPI dialer settings

TCP/IP

Transmission Control Protocol/Internet Protocol: TCP/IP is the basic communication method used over the Internet. The TCP on the side of the sending machine is responsible for breaking up a message in to smaller portions called packets. These packets are then sent to their destination and the TCP on the side of the receiving machine is responsible for reassembling the packets to form the original message. The Internet Protocol provides a means of properly addressing each packet so that it arrives at its destination. SSH and telnet, for example, are built upon TCP/IP.

telnet

Telnet is a protocol that provides an interface for communications between clients and servers .

Related topics:

Telnet connection settings

terminal

A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others.

Related topics:

Terminal emulation overview

Changing the terminal emulation type

terminal emulator

A program that emulates a terminal .

Related topics:

Terminal emulation overview

Changing the terminal emulation type

ZModem

ZModem is a file transfer protocol supported in CRT that touts speed and reliability.

Related topics:

Overview of ZModem


Choosing a Connection Protocol

CRT supports the following protocols: telnet, rlogin, serial (COM), and TAPI.

If you are using CRT to connect to a BBS or any other type of terminal server by directly dialing the remote machine using your computer's modem, you will need to use either the serial or TAPI protocol.

If you are using CRT to connect to a remote machine via the Internet or your LAN, you should use the telnet, or rlogin protocols depending on the services provided by the remote machine to which you are connecting.


.topic 129
The Global Options dialog is accessed by opening the \"Options\" menu and selecting \"Global Options\".

.topic 41
The Session Options dialog is accessed from the Connect dialog by selecting a session and either clicking on the Properties button on the toolbar of the Connect dialog or right-clicking on the session and selecting \"Properties\" from the pop-up menu.  If you are connected with a session, the Session Options dialog can be accessed by either opening the \"Options\" menu and selecting \"Session Options\", or by clicking on the Properties button on the main toolbar


CRT Order Form

                            CRT Order Form

                            --------------

         1 Computer:       Computer License  @ $34.95      = ______

  2 to   9 Computers: ____ Computer Licenses @ $32.00 each = ______

 10 to  24 Computers: ____ Computer Licenses @ $30.00 each = ______

 25 to  49 Computers: ____ Computer Licenses @ $24.00 each = ______

 50 to  99 Computers: ____ Computer Licenses @ $21.00 each = ______

100 to 199 Computers: ____ Computer Licenses @ $18.00 each = ______

200 to 399 Computers: ____ Computer Licenses @ $15.00 each = ______

 Unlimited Computers (Single Site):          $5995.00      = ______

New Mexico Residents add 5.5625% sales tax               + ________

                                      Total Payment        ________

 - Payments must be in US dollars drawn on a US bank.

 - The above pricing is for any mix of Windows 95/98 or Windows NT.

 - Prices are based on the number of computers on which the

   software is installed.

 - Prices are good through December 31, 1999. After this date,

   check http://www.vandyke.com for current pricing.

 - Prices are in US Dollars.

 - No disk will be sent with your order.

Name:________________________________________  Date:_______________

Company:___________________________________________________________

Shipping Address:__________________________________________________

City, State, Zip:__________________________________________________

Country:_______________________ Phone Number:______________________

E-Mail Address:____________________________________________________

Would you like to receive update announcements by e-mail?_________

How did you hear about CRT?________________________________________

Comments:__________________________________________________________

         __________________________________________________________


Enabling/Disabling the View Synchronization Features

CRT Icon Enabling/Disabling the View Synchronization Features

There are two features which control the variation in the number of logical rows and columns when the CRT window is resized: Synchronize viewable rows, and Synchronize viewable columns. If Synchronize viewable rows is enabled, the number of logical rows will increase or decrease as the vertical size of the CRT window is made taller or shorter. If Synchronize viewable columns is enabled, the number of logical columns will increase or decrease as the horizontal size of the CRT window is widened or narrowed.

By default, both of these features are enabled in CRT.

To enable/disable one or both of these settings:

4 Select the Emulation category in the Session Options dialog.

4 In the Size section of the Session Options dialog, select/deselect the option associated with the feature you wish to enable/disable.

See also:

Setting the Number of Rows and Columns

Resizing the Window


Global Options

The Global Options dialog is accessed by opening the "Options" menu and selecting "Global Options".


Session Options

The Session Options dialog is accessed from the Connect dialog by selecting a session and either clicking on the Properties button on the toolbar of the Connect dialog or right-clicking on the session and selecting "Properties" from the pop-up menu.

If you are connected with a session, the Session Options dialog can be accessed by either opening the "Options" menu and selecting "Session Options", or by clicking on the Properties button on the main toolbar